package com.sw.common.accessory.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author wupeng
 * @Description //TODO
 * @Date 17:21 2024/1/4
 * @Param
 * @return
 **/
@Data
@ApiModel(value = "创建设备Dto")
public class EquipmentDto {
    Long  id;
    @ApiModelProperty("设备名称")
    @NotNull(message = "设备名称，不能为空")
    String name;

    @ApiModelProperty("设备编号")
    @NotNull(message = "设备编号，不能为空")
    String code;

    @ApiModelProperty("系列")
    String series;

    @ApiModelProperty("区域")
    String area;

    @ApiModelProperty("设备类型id")
    @NotNull(message = "设备类型id，不能为空")
    Long deviceId;

    @ApiModelProperty("设备类型")
    String deviceName;

    @ApiModelProperty("设备型号")
    String modelNumber;

    @ApiModelProperty("所属区域")
    String factoryModelName;

    @ApiModelProperty("启用状态")
    Boolean enableState;

}
