package com.sw.common.accessory.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "入库申请明细对象模型")
public class WarehouseInputBillDetailBo {
    @ApiModelProperty(value = "物料主数据ID")
    private Long materialModelId;
    @ApiModelProperty(value = "物料主数据料号")
    private String materialModelCode;
    @ApiModelProperty(value = "物料主数据名称")
    private String materialModelName;
    @ApiModelProperty(value = "物料主数据类型")
    private String materialTypeName;
    @ApiModelProperty(value = "物料主数据类别")
    private String materialCategoryName;
    @ApiModelProperty(value = "物料等级")
    private String materialLevel;
    @ApiModelProperty(value = "直径")
    private String diameter;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "批次号")
    private String batchNo;
    @ApiModelProperty(value = "物料主数据供应商")
    private String supplier;
    @ApiModelProperty(value = "物料主数据规格")
    private String specification;
    @ApiModelProperty(value = "物料主数据图号")
    private String materialTh;
    @ApiModelProperty(value = "入库数量")
    private BigDecimal count;
    @ApiModelProperty(value = "物料单位")
    private String unitName;
    @ApiModelProperty(value = "库位ID")
    private Long warehouseId;
    @ApiModelProperty(value = "库位名称")
    private String warehouseName;
}