package com.sw.common.accessory.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 要料申请对象
 */
@Data
public class ApplyMaterialParamDto {
    @ApiModelProperty(value = "设备号")
    String equipmentCode;
    @ApiModelProperty(value = "申请原因", required = true)
    String reason;
    @NotBlank(message = "申请部位对象，不能为空")
    @ApiModelProperty(value = "申请部位对象", required = true)
    List<ApplyMaterialPartDto> partDtos;
}
