package com.sw.common.accessory.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ComputingTimeDto {
    @ApiModelProperty(value = "权重值")
    private String weightValue;
    @ApiModelProperty(value = "额定寿命", required = true)
    private Double useLife;
    @ApiModelProperty(value = "寿命单位", required = true)
    private String unitOfLife;
    @ApiModelProperty(value = "每月统计结果", required = true)
    private List<Map<String,Integer>> monthCounts;
    @ApiModelProperty(value = "是否跨月", required = true)
    private boolean spanMonth;
    @ApiModelProperty(value = "跨月长度", required = true)
    private int spanMonthCount;
}

