package com.sw.common.accessory.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "设备辅材筛选条件对象")
public class EquipmentAccessBo {
    @ApiModelProperty(value = "系列")
    String series;
    @ApiModelProperty(value = "设备号")
    String equipmentCode;
    @ApiModelProperty(value = "预警数量")
    private Integer earlyWarningCount;
    @ApiModelProperty(value = "物料料号")
    private String materialCode;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "部门编码")
    private String partCode;
    @ApiModelProperty(value = "部门名称")
    private String partName;
}
