package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 热场部门维护表
 */
@Data
@NoArgsConstructor
@TableName(value="accy_part")
public class Part {
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 部门编码
     */
    private String partCode;
    /**
     * 部门名称
     */
    private String partName;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人
     */
    private String updateBy;
    /**
     * 修改时间
     */
    private Date updateTime;

}
