package com.sw.mes.auth.mapper;

import com.sw.mes.auth.domain.AuthRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_role(【系统域—系统管理】角色表)】的数据库操作Mapper
* @createDate 2022-05-19 14:21:42
* @Entity com.sw.mes.auth.domain.AuthRole
*/
@Repository
public interface AuthRoleMapper extends BaseMapper<AuthRole> {
    List<AuthRole> getByUserId(@Param("userId") Integer userId);
}




