package com.sw.mes.auth.mapper;

import com.sw.mes.auth.domain.AuthUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_user(【系统域—系统管理】用户表)】的数据库操作Mapper
* @createDate 2022-05-19 14:21:52
* @Entity com.sw.mes.auth.domain.AuthUser
*/
@Repository
public interface AuthUserMapper extends BaseMapper<AuthUser> {
    List<AuthUser> findByUserName(@Param("userName") String userName);

    List<AuthUser> getByUserName(@Param("name") String name);

    List<AuthUser> findByLoginNameIn(@Param("userNames") List<String> userName);
}




