package com.sw.mes.auth.mapper;

import com.sw.mes.auth.domain.AuthUserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_user_role(【系统域—系统管理】用户角色表)】的数据库操作Mapper
* @createDate 2022-05-19 14:22:04
* @Entity com.sw.mes.auth.domain.AuthUserRole
*/
@Repository
public interface AuthUserRoleMapper extends BaseMapper<AuthUserRole> {
    //根据用户id和角色类型获取对应的角色集合
    List<AuthUserRole> findByUserIds(Integer userId,Integer type);
}




