package com.sw.mes.auth.mapper;

import com.sw.mes.auth.domain.SysLoginLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;

/**
* @author JS111816
* @description 针对表【sys_login_log(SAP登录日志)】的数据库操作Mapper
* @createDate 2022-05-19 13:47:48
* @Entity com.sw.mes.auth.domain.SysLoginLog
*/
@Repository
public interface SysLoginLogMapper extends BaseMapper<SysLoginLog> {
    void updateByToken(@Param("nowDate") Date nowDate, @Param("token") String token);
}




