package com.sw.mes.itemclean.clean.domain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@TableName("clean_reworking_detail")
@ApiModel(value = "CleanReworkingDetail对象", description = "返工明细")
public class CleanReworkingDetail {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonIgnore
    private Integer id;

    @ApiModelProperty("主表id")
    private Integer rid;

    @ApiModelProperty("返工箱号")
    private String reworkingBoxNo;

    @ApiModelProperty("返工重量")
    private BigDecimal reworkingWeight;

    @ApiModelProperty("逻辑删除标记")
    private Integer delFlag;

    @ApiModelProperty("生产批次")
    private String productBatchNo;

    @ApiModelProperty("是否空箱 0否 1是")
    private Integer isEmptyBox;

}
