package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/16 10:55
 * @description
 */
@Data
public class BasketInfoDto {

    @ApiModelProperty(value = "清洗id")
    private Integer id;

    @ApiModelProperty(value = "花篮号")
    String basketNo;

    /**
     * 花篮+物料
     */
    @ApiModelProperty("总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty("物料重量")
    private BigDecimal weight;

    @ApiModelProperty("载具皮重")
    private String boxWeight;

    @ApiModelProperty("载具类型")
    private String typeName;

}
