package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/18 13:31
 * @description
 */
@Data
public class BrokenDownDto {
    @NotNull(message = "id不能为空")
    Integer id;

    @ApiModelProperty("重量")
    BigDecimal weight;

    @ApiModelProperty("下料人")
    String downUser;
}
