package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/17 10:33
 * @description
 */
@Data
public class CreateOderDto {

    @NotNull(message = "箱号不能为空")
    @ApiModelProperty("箱号")
    private String boxNo;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("标记，1：原生多晶 2：回收料 3：落地料 4：返工料")
    private Integer sign;
}
