package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuzemin
 * @date 2022/11/11 9:52
 * @description
 */
@Data
@ApiModel(value = "通用扫码参数", description = "扫码参数")
public class GeneralScanBoxNoParam {
    @ApiModelProperty(value = "设备号")
    String deviceNo; //设备号

    @ApiModelProperty(value = "箱号")
    String boxNo; //箱号

    /**
     * {@link com.sw.mes.itemclean.clean.mapping.ScanBoxNoMapping} Map<String,Class> types 的key
     */
    @ApiModelProperty(value = "扫码名称")
    String scanName; //扫码名称

    public GeneralScanBoxNoParam(String boxNo, String scanName) {
        this.boxNo = boxNo;
        this.scanName = scanName;
    }

    public GeneralScanBoxNoParam() {
    }
}
