package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/17 13:58
 * @description 原料清洗当前任务信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MaterialCleaningCurrentInfoDto {
    @ApiModelProperty(value = "任务信息")
    MaterialCleaningDto materialCleaningDto;

    @ApiModelProperty(value = "花篮信息")
    List<MaterialCleaningBasketDto> materialCleaningBasketDto;
}
