package com.sw.mes.itemclean.clean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/*
 * @Auther:赵亚运
 * @Date:2022/12/12
 * @Description:
 * @VERSON:1.0
 */
@Data
@ApiModel(value = "回收料扫码参数", description = "回收料扫码参数")
public class RecyclScanBoxNoParam {
    @ApiModelProperty(value = "箱号")
    String boxNo;

    @ApiModelProperty(value = "扫码名称")
    String scanName;

    @ApiModelProperty("接收重量")@ExcelProperty(value = "重量")
    private BigDecimal accptWeight;

    @ApiModelProperty(value = "ERP工单")
    String aufnr;
}
