package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "洗料计划Dto")
public class WashingPlanDto {

    private Integer id;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "物料编号" )
     String materialCode;
     @ApiModelProperty(value = "开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTime;
     @ApiModelProperty(value = "结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTime;
     @ApiModelProperty(value = "计划重量" )
     BigDecimal plannedWeight;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "更新人" )
     String updateUser;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}