package com.sw.mes.itemclean.clean.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sw.mes.itemclean.clean.domain.ReportErpXlInputRecord;
import com.sw.mes.itemclean.clean.domain.WashingPlan;
import com.sw.mes.itemclean.clean.dto.WashingPlanDto;
import io.lettuce.core.dynamic.annotation.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
@Repository
public interface WashingPlanMapper extends BaseMapper<WashingPlan> {

    IPage<WashingPlanDto> queryList(@Param("iPage") IPage<WashingPlanDto> iPage, @Param("query") WashingPlanDto query);

    List<WashingPlanDto> queryListByParam(WashingPlanDto query);

    List<WashingPlanDto> findAllList();

}