package com.sw.mes.itemclean.clean.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.itemclean.clean.domain.MaterialApplyOrderRelation;
import com.sw.mes.itemclean.clean.service.MaterialApplyOrderRelationService;
import com.sw.mes.itemclean.clean.mapper.MaterialApplyOrderRelationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 */
@Service
public class MaterialApplyOrderRelationServiceImpl extends ServiceImpl<MaterialApplyOrderRelationMapper, MaterialApplyOrderRelation>
    implements MaterialApplyOrderRelationService{

    /**
     * 根据父箱号查询子箱信息
     * @param materialBoxNoParent
     * @return
     */
    @Override
    public List<MaterialApplyOrderRelation> findByMaterialBoxNoParent(String materialBoxNoParent) {
        LambdaQueryWrapper<MaterialApplyOrderRelation> queryWrapper=new LambdaQueryWrapper();
        queryWrapper.eq(MaterialApplyOrderRelation::getMaterialBoxNoParent,materialBoxNoParent);
        return this.list(queryWrapper);
    }
}




