package com.sw.mes.fb.accessory.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @author liuzemin
 * @date 2022/7/5 10:11
 * @description
 */
@Data
public class FbEquipmentAccessoryCreatDto {

    @NotNull(message = "设备id不能空")
    @ApiModelProperty(value = "设备id")
    Long equipmentId;

    @ApiModelProperty(value = "设备位置")
    String deviceSeat;

    @NotNull(message = "物料条码")
    @ApiModelProperty(value = "物料条码")
    String goodsCode;

    @ApiModelProperty(value = "数量" )
    Integer num;

    @ApiModelProperty(value = "厂家" )
    String factory;

    @NotNull(message = "辅料id")
    @ApiModelProperty(value = "辅料id")
    Long materialId;

    @ApiModelProperty(value = "使用时间" )
    Double useTime;
}
