package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "截断数据上传Dto")
public class CutProcessRecordDto {

    private Long id;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "设备编号" )
     String deviceCode;
     @ApiModelProperty(value = "上料毛棒晶编" )
     String crystalNo;
     @ApiModelProperty(value = "开始切割：1开始" )
     Integer cuttingStart;
     @ApiModelProperty(value = "切割完成：1完成" )
     Integer cuttingEnd;
     @ApiModelProperty(value = "截断工时（min）" )
     Double cuttingHour;
     @ApiModelProperty(value = "轮系1环线1寿命" )
     Double data7;
     @ApiModelProperty(value = "轮系1环线2寿命" )
     Double data8;
     @ApiModelProperty(value = "轮系2环线1寿命" )
     Double data9;
     @ApiModelProperty(value = "轮系3环线1寿命" )
     Double data10;
     @ApiModelProperty(value = "轮系4环线1寿命" )
     Double data11;
     @ApiModelProperty(value = "轮系5环线1寿命" )
     Double data12;
     @ApiModelProperty(value = "轮系6环线1寿命" )
     Double data13;
     @ApiModelProperty(value = "轮系6环线2寿命" )
     Double data14;
     @ApiModelProperty(value = "轮系7环线1寿命" )
     Double data15;
     @ApiModelProperty(value = "轮系8环线1寿命" )
     Double data16;
     @ApiModelProperty(value = "轮系9环线1寿命" )
     Double data17;
     @ApiModelProperty(value = "轮系9环线2寿命" )
     Double data18;
     @ApiModelProperty(value = "轮系1环线1点新线信号" )
     Double data19;
     @ApiModelProperty(value = "轮系1环线2点新线信号" )
     Double data20;
     @ApiModelProperty(value = "轮系2环线1点新线信号" )
     Double data21;
     @ApiModelProperty(value = "轮系3环线1点新线信号" )
     Double data22;
     @ApiModelProperty(value = "轮系4环线1点新线信号" )
     Double data23;
     @ApiModelProperty(value = "轮系5环线1点新线信号" )
     Double data24;
     @ApiModelProperty(value = "轮系6环线1点新线信号" )
     Double data25;
     @ApiModelProperty(value = "轮系6环线2点新线信号" )
     Double data26;
     @ApiModelProperty(value = "轮系7环线1点新线信号" )
     Double data27;
     @ApiModelProperty(value = "轮系8环线1点新线信号" )
     Double data28;
     @ApiModelProperty(value = "轮系9环线1点新线信号" )
     Double data29;
     @ApiModelProperty(value = "轮系9环线2点新线信号" )
     Double data30;
}