package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方上料接口Dto")
public class EapEvolutionRackDto {

    private Integer id;
     @ApiModelProperty(value = "开方机编号" , required = true)
     String equipNo;
     @ApiModelProperty(value = "圆棒SN" , required = true)
     String sn;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}