package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP磨削工时数据Dto")
public class EapGrindingHoursDto {

    private Long Id;
     @ApiModelProperty(value = "日期" )
     String date;
     @ApiModelProperty(value = "模块号" , required = true)
     String module;
     @ApiModelProperty(value = "磨削机编号" , required = true)
     String equip;
     @ApiModelProperty(value = "主操编号" , required = true)
     String operator;
     @ApiModelProperty(value = "总工时（min）" , required = true)
     String totalHours;
     @ApiModelProperty(value = "重复上下料报警时长" , required = true)
     String repeatALHour;
     @ApiModelProperty(value = "线体堵料时长" )
     String lineBlockHour;
     @ApiModelProperty(value = "待AGV发料时长" )
     String waitAgvHour;
     @ApiModelProperty(value = "手修砂轮时长" )
     String mrWheelHour;
     @ApiModelProperty(value = "机修砂轮时长" )
     String arWheelHour;
     @ApiModelProperty(value = "磨前检测偏差大报警时长" )
     String deviationAlHour;
     @ApiModelProperty(value = "对刀偏差大报警时长" )
     String alignAlHour;
     @ApiModelProperty(value = "磨削待料时长" )
     String waiGrindtHour;
     @ApiModelProperty(value = "二次夹装" )
     String secInstall;
     @ApiModelProperty(value = "高电流停" )
     String highAstop;
     @ApiModelProperty(value = "设备状态：\n" +
             "01开机：\n" +
             "02停机：其他工时均为0的情况下为停机\n" +
             "03待料\n" +
             "04故障\n" +
             "05维修\n" +
             "06保养\n" +
             "07点检" )
     String equipStatus;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}