package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP辅料使用次数上传Dto")
public class EapIngredientsTimesDto {

    private Long id;
     @ApiModelProperty(value = "设备编号" , required = true)
     String machineNo;
     @ApiModelProperty(value = "具体设备编号" , required = true)
     String machineNoDetail;
     @ApiModelProperty(value = "设备类型" , required = true)
     String machineType;
     @ApiModelProperty(value = "辅料类型" , required = true)
     String type;
     @ApiModelProperty(value = "金刚线使用量" , required = true)
     BigDecimal life;
     @ApiModelProperty(value = "创建日期" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}