package com.sw.mes.fb.checkout.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒配棒记录Dto")
public class CooperateDataDto {

    private Long id;
    @ApiModelProperty(value = "方棒编号")
    String sectionNoFb;
    @ApiModelProperty(value = "配棒编号")
    String cooperateNo;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
    @ApiModelProperty(value = "EAP直径max(mm)")
    BigDecimal eapDiameterMax;
    @ApiModelProperty(value = "EAP直径min(mm)")
    BigDecimal eapDiameterMin;
    @ApiModelProperty(value = "EAP边长max(mm)")
    BigDecimal eapSideMax;
    @ApiModelProperty(value = "EAP边长min(mm)")
    BigDecimal eapSideMin;
    @ApiModelProperty(value = "垂直度max")
    BigDecimal verticalityMax;
    @ApiModelProperty(value = "垂直度min")
    BigDecimal verticalityMin;
    @ApiModelProperty(value = "直径max")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "直径min")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "弧长投影max")
    BigDecimal projectionMax;
    @ApiModelProperty(value = "弧长投影min")
    BigDecimal projectionMin;
    @ApiModelProperty(value = "边长max")
    BigDecimal sideLengthMax;
    @ApiModelProperty(value = "边长min")
    BigDecimal sideLengthMin;
}