package com.sw.mes.fb.checkout.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "扩展字段值记录Dto")
public class FieldExtensionRecordDto {

    private Long id;
     @ApiModelProperty(value = "关联表Id" )
     Long associatedId;
     @ApiModelProperty(value = "字段名" )
     String fieldName;
     @ApiModelProperty(value = "字段值" )
     String fieldValue;
     @ApiModelProperty(value = "序号" )
     Integer orderNo;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
}