package com.sw.mes.fb.checkout.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.checkout.entity.CooperateData;
import com.sw.mes.fb.checkout.entity.FbCheckOutRecord;
import com.sw.mes.mcs.dto.RecutDto;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface CooperateDataService extends BaseService<CooperateData> {

    /**
     * 通过配棒编号查询配棒信息
     *
     * @param cooperateNo
     * @return
     */
    CooperateData findByCooperateNo(String cooperateNo);

    /**
     * 通过方棒编号查询配棒信息
     *
     * @param sectionNoFb
     * @return
     */
    List<CooperateData> findBySectionNoFb(String sectionNoFb);

    void saveInfo(FbCheckOutRecord fbCheckOutRecord, RecutDto recutDto);
}
