package com.sw.mes.fb.quality.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒检验操作记录Dto")
public class CheckOutOperationLogDto {

    private Integer id;
     @ApiModelProperty(value = "修改日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date changeTime;
     @ApiModelProperty(value = "修改员" )
     String changeUserName;
     @ApiModelProperty(value = "检验日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date checkTime;
     @ApiModelProperty(value = "检验员" )
     String checkUserName;
     @ApiModelProperty(value = "" )
     BigDecimal chordLengthMax;
     @ApiModelProperty(value = "" )
     BigDecimal chordLengthMin;
     @ApiModelProperty(value = "" )
     String classNo;
     @ApiModelProperty(value = "" )
     BigDecimal collapseLoss;
     @ApiModelProperty(value = "" )
     String conductionType;
     @ApiModelProperty(value = "" )
     BigDecimal crystalGrayness;
     @ApiModelProperty(value = "" )
     BigDecimal crystalOrientationMax;
     @ApiModelProperty(value = "" )
     BigDecimal crystalOrientationMin;
     @ApiModelProperty(value = "" )
     BigDecimal diameterMax;
     @ApiModelProperty(value = "" )
     BigDecimal diameterMin;
     @ApiModelProperty(value = "" )
     String equipmentCode;
     @ApiModelProperty(value = "" )
     BigDecimal headSlope;
     @ApiModelProperty(value = "" )
     BigDecimal knifeScratch;
     @ApiModelProperty(value = "" )
     BigDecimal length;
     @ApiModelProperty(value = "" )
     BigDecimal lengthSlope;
     @ApiModelProperty(value = "" )
     BigDecimal lineScratch;
     @ApiModelProperty(value = "" )
     BigDecimal noFriction;
     @ApiModelProperty(value = "" )
     BigDecimal planeTaperMax;
     @ApiModelProperty(value = "" )
     BigDecimal planeTaperMin;
     @ApiModelProperty(value = "" )
     String productLevelName;
     @ApiModelProperty(value = "" )
     BigDecimal projectionMax;
     @ApiModelProperty(value = "" )
     BigDecimal projectionMin;
     @ApiModelProperty(value = "" )
     BigDecimal recutLength;
     @ApiModelProperty(value = "" )
     String roundRodRemark;
     @ApiModelProperty(value = "" )
     BigDecimal scratch;
     @ApiModelProperty(value = "" )
     String sectionNo;
     @ApiModelProperty(value = "" )
     String sectionType;
     @ApiModelProperty(value = "" )
     BigDecimal sideLengthMax;
     @ApiModelProperty(value = "" )
     BigDecimal sideLengthMin;
     @ApiModelProperty(value = "" )
     BigDecimal sizeException;
     @ApiModelProperty(value = "" )
     String specification;
     @ApiModelProperty(value = "" )
     BigDecimal squareRodGrayness;
     @ApiModelProperty(value = "" )
     String squareRodRemark;
     @ApiModelProperty(value = "" )
     BigDecimal tailSlope;
     @ApiModelProperty(value = "" )
     BigDecimal verticalityMax;
     @ApiModelProperty(value = "" )
     BigDecimal verticalityMin;
     @ApiModelProperty(value = "" )
     BigDecimal wareHouseLength;
     @ApiModelProperty(value = "" )
     BigDecimal weight;
     @ApiModelProperty(value = "" )
     Integer dictionaryItemId;
     @ApiModelProperty(value = "" )
     String sectionNoFb;
     @ApiModelProperty(value = "" )
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "" )
     BigDecimal crackWidth;
     @ApiModelProperty(value = "" )
     String materialSourceName;
     @ApiModelProperty(value = "" )
     String materialSourceValue;
     @ApiModelProperty(value = "" )
     BigDecimal spellBarLength;
     @ApiModelProperty(value = "" )
     String spellBarTypeName;
     @ApiModelProperty(value = "" )
     String spellBarTypeValue;
     @ApiModelProperty(value = "" )
     Integer checkoutId;
     @ApiModelProperty(value = "" )
     String checkoutName;
     @ApiModelProperty(value = "" )
     String deviceNo;
     @ApiModelProperty(value = "" )
     String productLevelFb;
     @ApiModelProperty(value = "" )
     String productType;
     @ApiModelProperty(value = "" )
     BigDecimal sectionLength;
     @ApiModelProperty(value = "" )
     String productLevelExperiment;
     @ApiModelProperty(value = "" )
     String downClassName;
     @ApiModelProperty(value = "" )
     String downClassNo;
     @ApiModelProperty(value = "" )
     String downUser;
     @ApiModelProperty(value = "" )
     String upClassName;
     @ApiModelProperty(value = "" )
     String upClassNo;
     @ApiModelProperty(value = "" )
     String upUser;
     @ApiModelProperty(value = "" )
     Integer checkTimes;
     @ApiModelProperty(value = "" )
     Integer currentTimes;
     @ApiModelProperty(value = "" )
     String productTypeFb;
     @ApiModelProperty(value = "" )
     String workChapter;
     @ApiModelProperty(value = "" )
     BigDecimal instoreLengthYb;
     @ApiModelProperty(value = "" )
     String fbExperimentLevel;
     @ApiModelProperty(value = "" )
     String fbNoGroup;
     @ApiModelProperty(value = "" )
     BigDecimal theoryWeightYb;
     @ApiModelProperty(value = "" )
     BigDecimal edgeCollapse;
     @ApiModelProperty(value = "" )
     BigDecimal flatHandle;
     @ApiModelProperty(value = "" )
     BigDecimal hotSpot;
     @ApiModelProperty(value = "" )
     BigDecimal roundHandle;
     @ApiModelProperty(value = "" )
     BigDecimal waterMark;
     @ApiModelProperty(value = "" )
     BigDecimal wheelHighLights;
     @ApiModelProperty(value = "" )
     BigDecimal wheelMark;
     @ApiModelProperty(value = "" )
     BigDecimal yinYangFace;
     @ApiModelProperty(value = "" )
     String blankClassMonitorName;
     @ApiModelProperty(value = "" )
     Integer truncation;
     @ApiModelProperty(value = "物料号" )
     String materialNumber;
     @ApiModelProperty(value = "操作类型：导入，新增，修改，删除" )
     String operationType;
     @ApiModelProperty(value = "操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operationTime;
}