package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.sql.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "WMS取消入库Dto")
public class WmsCancelWarehousingDto {

    @NotNull(message = "托盘号不能空")
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "取消原因")
    String cancelReason;
    @ApiModelProperty(value = "取消人")
    String cancelUser;
    @ApiModelProperty(value = "取消时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date cancelDate;
    @NotNull(message = "标识不能空")
    @ApiModelProperty(value = "取消标识【1：可取消，0：不可取消】")
    Integer flag;
}