package com.sw.mes.fb.turnstore.dto.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.fb.checkout.entity.FbJoin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "方棒送验发送方记录表Dto")
public class TurnStoreSenVo {

    private Long id;
     @ApiModelProperty(value = "送验单号" )
     String sendNo;
     @ApiModelProperty(value = "送检去向" )
     String sendType;
     @ApiModelProperty(value = "拼数" )
     Integer stickCount;
     @ApiModelProperty(value = "状态(1:待确认，2:已确认，3:拒收)" )
     Integer state;
     @ApiModelProperty(value = "操作人用户id" )
     Integer userId;
     @ApiModelProperty(value = "操作人用户名称" )
     String userName;
     @ApiModelProperty(value = "确认人用户id" )
     Integer updateUserId;
     @ApiModelProperty(value = "确认人用户名称" )
     String updateUserName;
     @ApiModelProperty(value = "方棒拼棒id结合" )
     String fid;
     @ApiModelProperty(value = "备注" )
     String remark;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     List<FbJoin> list;
}