package com.sw.mes.fineReport.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "方棒报表数据Dto")
public class FineReportDataFbDto {

    private Long id;
     @ApiModelProperty(value = "时间(yyyy-MM-dd)" )
     @JsonFormat(pattern = "yyyy-MM-dd")
     Date dateTime;
     @ApiModelProperty(value = "模块" )
     String module;
     @ApiModelProperty(value = "设备类型" )
     String equipmentType;
     @ApiModelProperty(value = "数据类型" )
     String dataType;
     @ApiModelProperty(value = "数值" )
     BigDecimal dataVal;
     @ApiModelProperty(value = "数据创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}