package com.sw.mes.fls.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author: JS111816
 * @Description:
 * @Date: 2023/3/7
 * @Modified By:
 **/
@Data
public class PalletTransferDto {
    @ApiModelProperty(value = "点位")
    private String point;

    @ApiModelProperty(value = "源托盘")
    @NotNull(message = "源托盘不能为空！")
    private String srcTrayCode;

    @ApiModelProperty(value = "目标托盘")
    @NotNull(message = "目标托盘不能为空！")
    String destTrayCode;
}
