package com.sw.mes.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-14 13:46
 */
@ApiModel(value = "")
@Data
public class SampleInfoDto {
    @ApiModelProperty(value = "托盘编号")
    String trayCode;
    @ApiModelProperty(value = "位置代码")
    String site;
    @ApiModelProperty(value = "头部碳含量（ppma")
    BigDecimal carbonHeadCenter;
    @ApiModelProperty(value = "尾部碳含量（ppma）")
    BigDecimal carbonTailCenter;
    @ApiModelProperty(value = "头部氧含（ppma）")
    BigDecimal oxygenHeadCenter;
    @ApiModelProperty(value = "尾部氧含（ppma）")
    BigDecimal oxygenTailCenter;
    @ApiModelProperty(value = "微缺陷代码")
    String microDefectCode;
    @ApiModelProperty(value = "缺陷等级")
    String microDefectLevel;
}
