package com.sw.mes.grade.service;

import com.sw.mes.core.entity.FbCheckOutData;
import com.sw.mes.core.response.Result;
import com.sw.mes.gread.dto.CalculationResultDto;
import com.sw.mes.gread.entity.FieldPool;
import com.sw.mes.gread.entity.GradeVersion;

import java.util.List;
import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface GradeService{
    void pushGradeVersion(GradeVersion gradeVersion, String remarks);

    void execGrade(Map<String, FbCheckOutData> fbCheckOutDataMap);

    Result<Long> testGradeVersion(GradeVersion gradeVersion, Map<String, FbCheckOutData> checkOutDataMap, boolean isTest,String remarks);

    void saveGrade(Map<String, Object> inspectMap, Map<String, String> resultMaps, List<FieldPool> fieldPoolsAll, Map<String, CalculationResultDto> combinedField);
}
