package com.sw.mes.mcs.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-13 15:19
 */
@ApiModel(value = "方棒重量数据上传接口Dto")
@Data
@NumberHandler
public class FbWeightDto {

    @ApiModelProperty("方棒编号")
    String fbSectionNo;

    @ApiModelProperty(value = "方棒重量")
    private BigDecimal weight;

}
