package com.sw.mes.plan.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "FbOrderMatchingInfoDto")
public class FbOrderMatchingInfoDto {

    private Integer id;
     @ApiModelProperty(value = "晶段编号" )
     String sectionNo;
     @ApiModelProperty(value = "产品等级" )
     String productLevel;
     @ApiModelProperty(value = "实验等级" )
     String productLevelExperiment;
     @ApiModelProperty(value = "评级分类" )
     String gradeType;
     @ApiModelProperty(value = "方棒订单编号" )
     String fbOrderNo;
     @ApiModelProperty(value = "方棒订单id" )
     Long fbOrderId;
     @ApiModelProperty(value = "单晶长度" )
     BigDecimal length;
     @ApiModelProperty(value = "单晶规格" )
     String specs;
     @ApiModelProperty(value = "导电型号" )
     String conductiveType;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "晶段属性" )
     String sectionType;
     @ApiModelProperty(value = "创建人" )
     String userCreate;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "修改者" )
     String userUpdate;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
}