package com.sw.mes.sap;

import com.sw.mes.fb.turnstore.entity.FbTurnstoreTrayItem;
import org.springframework.scheduling.annotation.Async;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface SapServer {
    @Async
    @Transactional(propagation = Propagation.REQUIRES_NEW, rollbackFor = RuntimeException.class)
    void sendGrc(List<FbTurnstoreTrayItem> turnstoreTrayItemList);

    @Async
    void sendGr(List<FbTurnstoreTrayItem> turnstoreTrayItemList);
}
