package com.sw.mes.wms.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Version 1.0
 * @Author:zbp
 * @Date:2023/9/13 16:10
 * @Content:
 */
@Data
public class ReturnAndCancelDto {

    @ApiModelProperty(value = "托号")
    private String trayNo;

    /**
     * 当cancelFlag=1，需要WMS返回是否已入库，且如果未入库则将对应的接口数据设置为取消；
     * 当cancelFlag=0，需要WMS返回是否已入库，但不管是否已入库，WMS不对接口数据做取消处理；
     */
    @ApiModelProperty(value = "标识")
    private Integer cancelFlag;
}
