package com.sw.mes.agv.dao;

import com.sw.mes.agv.entity.RechargeArtBagItemRecord;
import com.sw.mes.core.base.BaseDao;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface RechargeArtBagItemRecordDao extends BaseDao<RechargeArtBagItemRecord, Integer> {

    @Query(value = "select * from zhxx_recharge_art_bag_item_record where recharge_id in (?1) ", nativeQuery = true)
    List<RechargeArtBagItemRecord> findByRechargeIds(List<Long> rechargeIds);

    @Query(value = "select * from zhxx_recharge_art_bag_item_record where recharge_id=?1 ", nativeQuery = true)
    List<RechargeArtBagItemRecord> findByRechargeId(Long rechargeId);

}
