package com.sw.mes.crucible.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lf
 * @description
 * @date 2024/1/6 14:33
 */
@Data
@ApiModel(value = "坩埚管理dto")
public class CrucibleDto {
    private Integer id;
    @ApiModelProperty("批次号")
    private String batchNumber;
    @ApiModelProperty("料号")
    private String code;
    @ApiModelProperty("料号名称")
    private String codeName;
    @ApiModelProperty("尺寸")
    private String dimension;
    @ApiModelProperty("品类")
    private String category;
    @ApiModelProperty("等级")
    private String level;
    @ApiModelProperty("厂家")
    private String manufacturer;
    @ApiModelProperty("是否锁定0是1否，默认是")
    private Integer isLock;
    @ApiModelProperty("创建人")
    private String createUser;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty("修改人")
    private String updateUser;
    @ApiModelProperty("修改时间")
    private Date updateDate;
}
