package com.sw.mes.crucible.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lf
 * @description
 * @date 2024/1/8 9:04
 */
@Data
@ApiModel(value = "坩埚定投管理dto")
public class CrucibleFixedCastingDto {

    /**实验定投**/
    public static final String fixedCastingType_sy = "实验";
    /**量产定投**/
    public static final String fixedCastingType_lc = "主计划";

    private Integer id;
    @ApiModelProperty("设备id")
    private Integer equipmentId;
    @ApiModelProperty("设备号")
    private String equipmentCode;
    @ApiModelProperty("料号")
    private String code;
    @ApiModelProperty("定投类型")
    private String fixedCastingType;
    @ApiModelProperty("定投炉数")
    private Integer fixedCastingNumber;
    @ApiModelProperty("完成数量")
    private Integer completeNumber;
    @ApiModelProperty("尺寸")
    private String dimension;
    @ApiModelProperty("品类")
    private String category;
    @ApiModelProperty("等级")
    private String level;
    @ApiModelProperty("厂家")
    private String manufacturer;
    @ApiModelProperty("高度")
    private String height;
    @ApiModelProperty("满锅料量")
    private String fullPotCapacity;
    @ApiModelProperty("创建人")
    private String createUser;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty("修改人")
    private String updateUser;
    @ApiModelProperty("修改时间")
    private Date updateDate;
}
