package com.sw.mes.dingTalk.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/1/24 21:45
 */
@Data
@Getter
@Setter
public class MessageDto {
    /**
     * 消息id，根据此id，可用于查询消息是否已读和撤回消息
     */
    private String processQueryKey;
    /**
     * 无效的用户userId列表
     */
    private List<String> invalidStaffIdList;
    /**
     * 被限流的userId列表
     */
    private List<String> flowControlledStaffIdList;

}
