package com.sw.mes.dingTalk.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/1/24 10:22
 */
@Data
@Getter
@Setter
public class MicroAppDto {
    /**
     * 用户userId
     */
    @JsonProperty("userIds")
    private List<String> userIds;
    /**
     * 部门id
     */
    @JsonProperty("deptIds")
    private List<Long> deptIds;
    /**
     * 角色id
     */
    @JsonProperty("roldIds")
    private List<Long> roldIds;
    /**
     *是否仅管理员可使用。
     *
     * true：userIds、deptIds和roleIds字段值为空。
     * false：userIds、deptIds和roleIds字段有对应值。
     */
    @JsonProperty("onlyAdminVisible")
    private Boolean onlyAdminVisible;
}
