package com.sw.mes.inspect.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "中间段自动检验Dto")
public class AutomaticInspectMiddleDto {

    private Long id;
     @ApiModelProperty(value = "单晶编号" )
     String crystalNo;
     @ApiModelProperty(value = "头段晶段" )
     String sectionNoHead;
     @ApiModelProperty(value = "尾段晶段" )
     String sectionNoTail;
     @ApiModelProperty(value = "头样片" )
     String pieceNoHead;
     @ApiModelProperty(value = "尾样片" )
     String pieceNoTail;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
     @ApiModelProperty(value = "返切头样片" )
     String backcutPieceNoHead;
     @ApiModelProperty(value = "返切起始头晶段" )
     Integer cutHeadPosition;
     @ApiModelProperty(value = "返切尾样片" )
     String backcutPieceNoTail;
     @ApiModelProperty(value = "返切起始尾晶段" )
     Integer cutTailPosition;

}