package com.sw.mes.inspect.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "检验数据库日志表")
public class YbInspectDataLogDto {
    private Long id;
    @ApiModelProperty(value = "检验数据库id", required = true)
    Long inspectDataId;
    @ApiModelProperty(value = "晶段编号(短棒)", required = true)
    String sectionNo;
    @ApiModelProperty(value = "检验数据记录", required = true)
    String dataLog;
    @ApiModelProperty(value = "创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;
    @ApiModelProperty(value = "创建者", required = true)
    String userUpdate;
}