package com.sw.mes.jip.dao;

import java.util.List;
import com.sw.mes.jip.entity.JipHeaderConfig;
import com.sw.mes.core.base.BaseDao;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import com.sw.mes.core.annotation.Jinko;


/**
 * 晶科JIP接口配置信息Dao接口
 * 
 * @author liru
 * @date 2024-01-01
 */
@Jinko(value="晶科JIP接口配置信息Service接口",author = "liru")
public interface JipHeaderConfigDao extends BaseDao<JipHeaderConfig, Long>
{
    List<JipHeaderConfig> findByIfId(String ifId);

    List<JipHeaderConfig> findByKeyword(String keyword);
}
