package com.sw.mes.jip.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 晶科JIP接口配置信息对象 jinko_jip_header_config
 * 
 * @author liru
 * @date 2024-01-01
 */
@Data
@ApiModel(value = "晶科JIP接口配置信息Dto")
public class JipHeaderConfigDto
{
    /**  */
    @ApiModelProperty(value = "" )
    private Long id;

    /** 接口唯一标识 */
    @ApiModelProperty(value = "接口唯一标识" )
    private String ifId;

    /** 接口描述 */
    @ApiModelProperty(value = "接口描述" )
    private String ifName;

    /** 数据唯一标识 */
    @ApiModelProperty(value = "数据唯一标识" )
    private String msgId;

    /** 3位流水编号 */
    @ApiModelProperty(value = "3位流水编号" )
    private String resendId;

    /** 业务类型 */
    @ApiModelProperty(value = "业务类型" )
    private String bustyp;

    /** 发送方 */
    @ApiModelProperty(value = "发送方" )
    private String sender;

    /** 接受方 */
    @ApiModelProperty(value = "接受方" )
    private String receiver;

    /** 通用字段1 */
    @ApiModelProperty(value = "通用字段1" )
    private String text1;

    /** 通用字段2 */
    @ApiModelProperty(value = "通用字段2" )
    private String text2;

    /** 通用字段3 */
    @ApiModelProperty(value = "通用字段3" )
    private String text3;

    /** 通用字段4 */
    @ApiModelProperty(value = "通用字段4" )
    private String text4;

    /** 通用字段5 */
    @ApiModelProperty(value = "通用字段5" )
    private String text5;

    /** 请求URL */
    @ApiModelProperty(value = "请求URL" )
    private String url;

    /** MES检索关键字 **/
    @ApiModelProperty(value = "MES检索关键字" )
    private String keyword;

}
