package com.sw.mes.mmcs.dto;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import lombok.Data;

@Data
public class DistributionPlanDto {

	private String orderNo;
	private String orderName;
	private String createBy;
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;
	private String moduleNo;
	private String furnaceSeries;
	private String formulaNo;
	private String schemeNo;
	private BigDecimal quantity;
	private BigDecimal weight;
	private String orderType;
	@Temporal(TemporalType.TIMESTAMP)
	private Date beginTime;
	
	private String cust1;
	private String cust2;
	private String cust3;
	private String cust4;
}
