package com.sw.mes.mmcs.dto;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import lombok.Data;

@Data
public class IssueWeightSchemeDto {
	private String schemeNo;
	
	private String schemeName;
	
	private String formulaType;
	
	private String createBy;
	
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;
	
	private BigDecimal monocrystalWeight;
	
	private BigDecimal bottomingWeight;
	
	private BigDecimal polycrystalWeight;
	
	private BigDecimal smallsizeWeight;
	
	private BigDecimal totalWeight;
	
	
	private String cust1;
	
	private String cust2;
	
	private String cust3;
	
	private String cust4;
}
