package com.sw.mes.mmcs.dto;

import com.alibaba.fastjson.annotation.JSONField;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class McsMaterialNumberDto {

    /**
    * 物料类型,一级分类
    */
    @ApiModelProperty(value="物料类型,一级分类")
    @JSONField(name = "materialType")
    private String MTART;

    /**
    * 物料类型描述
    */
    @ApiModelProperty(value="物料类型描述")
    @JSONField(name = "materialCharacter")
    private String MTBEZ;

    /**
    * 物料编码
    */
    @ApiModelProperty(value="物料编码")
    @JSONField(name = "materialNo")
    private String MATNR;
    /**
    * 物料描述
    */
    @ApiModelProperty(value="物料描述")
    @JSONField(name = "materialName")
    private String MAKTX;

    /**
    * 物料组，三级分类
    */
    @ApiModelProperty(value="物料组，三级分类")
    @JSONField(name = "materialTeamNo")
    private String MATKL;

    /**
    * 物料组描述
    */
    @ApiModelProperty(value="物料组描述")
    @JSONField(name = "materialTeamName")
    private String WGBEZ;

    /**
    * 外部物料组，二级分类
    */
    @ApiModelProperty(value="外部物料组，二级分类")
    @JSONField(name = "materialOutteamNo")
    private String EXTWG;

    /**
    * 外部物料组描述
    */
    @ApiModelProperty(value="外部物料组描述")
    @JSONField(name = "materialOutteamName")
    private String EWBEZ;

    /**
    * 旧物料号
    */
    @ApiModelProperty(value="旧物料号")
    @JSONField(name = "oldMaterialNo")
    private String BISMT;
    
    
    /**
     * 删除标识，X代表删除
     */
     @ApiModelProperty(value="删除标识，X代表删除")
     @JSONField(name = "delFlag")
     private String LVORM;
	
}
