/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.mmcs.dto;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
public class McsProductionCircleRecipeDto {
	
    private String formulaNo;

    private String formulaName;

	private String product_seriesfurnaceSeries;

    private String createBy;
    
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
    private String formulaType;
    
    private String formulaVariety;
    
    private BigDecimal diameter;
    
    private String brand;
    
    private String technologyRequirements;
    
    private BigDecimal height;
    
    private BigDecimal priority;
    
    private String materialTeamNo;
    
    private String materialTeamName;
    
    private String materialForm;
    
    private String dopant;
    
    private BigDecimal grainsizeBegin;
    
    private BigDecimal grainsizeEnd;
    
    private BigDecimal resistanceBegin;
    
    private BigDecimal resistanceEnd;
    
    private String cust1;
    
    private String cust2;
    
    private String cust3;
    
    private String cust4;
}
