package com.sw.mes.outside.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "DeviceStopStoveInfoDto")
public class DeviceStopStoveInfoDto {
     private Integer id;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @ApiModelProperty(value = "停炉时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date stopStoveTime;
     @ApiModelProperty(value = "清罐时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date clearPotTime;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}