package com.sw.mes.outside.dto;


import lombok.Getter;

/**
 * @author liuzemin
 * @date 2023/1/31 13:19
 * @description
 */
@Getter
public class IpcButtonControlTimeParam {
    String buttonName; //按钮名称

    String defaultTime; //默认时长(单位分钟)  p.s.如果没有设置数据字典，就使用默认时长

    String equipmentCode;  //设备号

    String buttonOtherName; //按钮其他名称（取决于现场人员对其的称呼）

    String key; //redis的key

    public IpcButtonControlTimeParam(String buttonName, Integer defaultTime, String equipmentCode, String buttonOtherName, String key) {
        this.buttonName = buttonName;
        this.defaultTime = defaultTime.toString();
        this.equipmentCode = equipmentCode;
        this.buttonOtherName = buttonOtherName;
        this.key = key;
    }
}
