package com.sw.mes.outside.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: xushu
 * @Date: 2023/01/10/11:30
 * @Description:
 */
@Data
@ApiModel(value = "materialOperationActionDto")
public class MaterialOperationActionDto {

    @ApiModelProperty(value = "id",required = true)
    @NotNull(message = "id不能为空")
    Long id;

    @ApiModelProperty(value = "操作类型(0:取消叫料配料,1:取消叫料复投,2:取消叫料灌料,3:生产退料配料,4:生产退料灌料,5:重新叫料配料,6:重新叫料复投,7:重新叫料灌料)",required = true)
    @NotNull(message = "操作类型不能为空")
    Integer actionType;

    @ApiModelProperty(value = "原因")
    String cause;

//    @ApiModelProperty(value = "退料重量")
//    BigDecimal weight;
}
