package com.sw.mes.outside.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: xushu
 * @Date: 2023/01/10/11:30
 * @Description:
 */
@Data
@ApiModel(value = "materialOperationListDto")
public class MaterialTaskDto {

    @ApiModelProperty(value = "id")
    Long id;

    @ApiModelProperty(value = "任务类型(配料任务，复投任务，灌料任务)")
    String type;

    @ApiModelProperty(value = "复投次数")
    String againNum;

    @ApiModelProperty(value = "重量")
    BigDecimal weight;

    @ApiModelProperty(value = "桶数")
    Integer bucketSum;

    @ApiModelProperty(value = "当前桶数")
    String bucketNum;

}
