package com.sw.mes.outside.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Version 1.0
 * @Author:zbp
 * @Date:2024/1/23 15:54
 * @Content:
 */
@Data
public class RunTimeDto {
    @ApiModelProperty(value = "设备号")
    private String equipmentCode;
    @ApiModelProperty(value = "炉次号")
    private String lotNo;
    @ApiModelProperty(value = "工步发生时间")
    String startTime;
    @ApiModelProperty(value = "工步结束时间" )
    String endTime;
    @ApiModelProperty(value = "工艺名称" )
    String stepName;
    @ApiModelProperty(value = "时长(ms)" )
    Long timeLong;
    @ApiModelProperty(value = "创建时间" )
    String createTime;
    @ApiModelProperty(value = "异常信息" )
    String errorMsg;
    @ApiModelProperty(value = "等径长度" )
    private Double equalDiameterLength;
}
