package com.sw.mes.outside.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.outside.entity.AlarmConfig;
import com.sw.mes.outside.dao.AlarmConfigDao;
import com.sw.mes.outside.service.AlarmConfigService;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class AlarmConfigServiceImpl extends BaseServiceImpl<AlarmConfig> implements AlarmConfigService {
    AlarmConfigDao dao;

	@Autowired
    public void setDao(AlarmConfigDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<AlarmConfig> findByDeviceType(String deviceType) {
        return dao.findByDeviceType(deviceType);
    }
}
