package com.sw.mes.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "配方物料分类Dto")
public class FormulaMaterialClassDto {

    private Long id;
     @ApiModelProperty(value = "物料分类名称" )
     String name;
     @ApiModelProperty(value = "创建/修改人" , required = true)
     String userCreate;
     @ApiModelProperty(value = "创建/修改时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "" )
     String userUpdate;
     @ApiModelProperty(value = "" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
}