package com.sw.mes.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品配方明细Dto")
public class FormulaProductSchemeDetailDto {

     private Long id;
     @ApiModelProperty(value = "产品配方ID" , required = true)
     Long formulaProductSchemeId;
     @ApiModelProperty(value = "投料加次" , required = true)
     Integer againNum;
     @ApiModelProperty(value = "投料加次名称" )
     String againNumName;
     @ApiModelProperty(value = "配方ID" , required = true)
     Long formulaSchemeId;
     @ApiModelProperty(value = "配方名称" , required = true)
     String formulaSchemeName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "状态(0:异常, 1:正常)" )
     Integer status;
}