package com.sw.mes.production.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zhaowenjie
 */
@Data
public class ValidateScheme {
    @ApiModelProperty(value = "复投次数(0：初始装料，1：初始复投，>1 取段复投)")
    private Integer repeatTimes;
    @ApiModelProperty("测试重量")
    BigDecimal weight;
    @ApiModelProperty("重量方案")
    private long weightSchemeId;
    @ApiModelProperty("配方方案")
    private FormulaSchemeDto formulaSchemeDto;
}
