package com.sw.mes.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.production.entity.FormulaMaterialClass;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FormulaMaterialClassService extends BaseService<FormulaMaterialClass> {
    FormulaMaterialClass findByName(String name);

    /**
     * 根据物料号查询物料分类信息
     * @param materialCode 物料号
     * @return 物料分类信息
     */
    List<FormulaMaterialClass> findFormulaMaterialClassByMaterialCode(String materialCode);
}
