package com.sw.mes.sap.dto;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 晶科库存位置信息对象 jinko_warehouse_location
 * 
 * @author liru
 * @date 2024-01-02
 */
@Data
@ApiModel(value = "晶科库存位置信息Dto")
public class WarehouseLocationDto
{
    /** ID */
    @ApiModelProperty(value = "ID" )
    private Long id;

    /** 工厂代码 */
    @ApiModelProperty(value = "工厂代码" )
    private String werks;

    /** 工厂名称 */
    @ApiModelProperty(value = "工厂名称" )
    private String name1;

    /** 仓库代码 */
    @ApiModelProperty(value = "仓库代码" )
    private String lgort;

    /** 仓库描述 */
    @ApiModelProperty(value = "仓库描述" )
    private String lgobe;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
