package com.sw.mes.sap.dto.statistics;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class StatisticsDto {
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startDate;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endDate;
	
	/**工序名称**/
	private String procName;
	
	/** 工单号 */
	private String aufnr;
	/** 物料编码 */
	private String matnr;
	/** 库存地点 */
	private String lgort;
	/** 批次号 */
	private String charg;
	/** 收货库区 */
	private String umlgo;
	/** 收货批次号 */
	private String umcha;
	
	/** 总数量 */ 
	private Double totalmenge;
	/** 已报数量 */ 
	private Double yfmenge;
	/** 未报数量 */ 
	private Double wfmenge;
	
}
