package com.sw.mes.sap.reconciliation.framework;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 对账结果
 *
 * @Author：wanjia
 * @Date：2024/2/25 18:43
 */
@Data
public class ReconResult<T> extends QueryKey {

    private Serializable id;

    private boolean equal;
    private BigDecimal gap;

    private T data;

    @Override
    public String toString() {
        return "id=" + id + ", equal=" + equal + ", gap=" + gap;
    }
}
