package com.sw.mes.sap.service;

import java.util.List;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.entity.LogSapMesInteractive;

/**
 * 晶科SAP下发生产工单通信记录Service接口
 * 
 * @author liru
 * @date 2023-12-29
 */
@Jinko(value="晶科SAP下发生产工单通信记录Service接口",author = "liru")
public interface LogSapMesInteractiveService extends BaseService<LogSapMesInteractive>
{

	LogSapMesInteractive getSapLog(String contrallName, String aufnr);

	List<LogSapMesInteractive> findByControllerNameAndTimeRange(String controllerName, String createTimeStart, String createTimeEnd);

	 List<LogSapMesInteractive> findByControllerName(String controllerNam);

}
