package com.sw.mes.sap.service;



import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.sap.dto.jip.JipCloseOrderVerifyResult;
import com.sw.mes.sap.dto.jip.JipOrderStateResult;
import com.sw.mes.sap.dto.jip.JipProductionOrderResult;

/**
 * 晶科SAP下发数据操作Service接口
 * 
 * @author liru
 * @date 2023-12-29
 */
@Jinko(value="晶科SAP下发数据操作Service接口",author = "liru")
public interface SAPInputServiceService
{
    void handlerProductonOrderData(JSONObject data, List<JipProductionOrderResult> results) throws RuntimeException;

    void handlerOrderState(Object data, JipOrderStateResult result);

    /**
     * 同步订单bom数据
     */
	void synProductonOrderBomData(Long orderId, JSONObject data) throws RuntimeException;

	void handlerVerifyWorkOrderState(Object data, JipCloseOrderVerifyResult result);
}
