package com.sw.mes.webservice.service;

import com.sw.mes.third.entity.SoapInDto;
import com.sw.mes.third.entity.SoapOutDto;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlElement;


@WebService(name = "MyWebService", // 暴露服务名称
targetNamespace = "http://service.webservice.mes.sw.com"// 与接口中的命名空间一致,一般是接口的包名倒序
)
public interface MyWebService {

	/**
     * mes提供方法给sap调用 sap往里面发数据
     * @param soapInDto
     * @return
     */
    @WebMethod
    SoapOutDto SAP_TO_1031MES_Request(@WebParam(name = "soapInDto")  @XmlElement(required = true) SoapInDto soapInDto);


}
