package com.sw.mes.yb.accessory.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuzemin
 * @date 2021/12/7 10:58
 * @description
 */
@Data
@ApiModel(value = "接收设备状态信号")
public class EquimentStatusDto {

    @ApiModelProperty(value = "设备编号" )
    @NotNull(message = "设备编号不能空")
    String deviceNo;

    @ApiModelProperty(value = "设备状态(1-抽真空 、2-停炉)" )   //抽真空为开始、停炉为结束
    @NotNull(message = "设备状态不能空")
    String status;
}
