package com.sw.mes.yb.accessory.service;

import com.sw.mes.yb.accessory.entity.AccessoryOrder;
import com.sw.mes.core.base.BaseService;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AccessoryOrderService extends BaseService<AccessoryOrder> {
    //各热场件平均使用天数和定额天数对比（正常损耗）
    List<Map<String,Object>> accessoryLifeAvg(String accessoryTypeName, String startTime, String endTime);

    //同一热场件不同厂家寿命对比（正常损耗）
    List<Map<String,Object>> accessorySupplierLifeAvg(String accessoryTypeName, String startTime, String endTime);

    //质量问题损失占比
    List<Map<String,Object>> accessoryQuality(String accessoryTypeName, String startTime, String endTime);
}
