package com.sw.mes.yb.accessory.vo;

import com.sw.mes.yb.accessory.dto.SpareDto;
import lombok.Data;

/**
 * @author liuzemin
 * @date 2021/11/11 9:40
 * @description  退料申请vo
 */
@Data
public class ReturnApplyVo extends SpareDto {

    private String deviceNo; //设备号
    private String productNo; //料号
    private String num; //数量
    private String unitName; //单位
    private String remark; //备注
    private String batchNum;  //批次
    private String supplierName; //供应商
    private String uniqueCode; //唯一编码(热场条码)
    private String serviceLife; //使用寿命
    private String returnNo; //退料单号
    private String lgort; //库存地点
    private String modular; //模块
    private String returnName; //退料操作人 名字
    private String returnJobNo; //退料操作人 工号
}
