package com.sw.mes.yb.agv.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * AGV回调参数格式
 * @author 李儒
 */
@Data
@ApiModel(value = "AgvCallBackParamDto")
public class AgvCallBackParamDto {
	
	@ApiModelProperty(value="请求编码")
	private String reqCode;
	@ApiModelProperty(value = "任务状态 1 已创建,2 正在执行,5 取消完成,9 已结束")
	private Integer taskStatus;
	@ApiModelProperty(value = "单晶编号")
	private String crystalNo;
	@ApiModelProperty(value = "载具编号")
	private String forckNo;
	@ApiModelProperty(value = "任务编号")
	private String taskCode;
	
}
