package com.sw.mes.yb.alloy.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.alloy.dto.AlloyMasterAlloyDto;
import com.sw.mes.yb.alloy.dto.FeedingConfirmationDto;
import com.sw.mes.yb.alloy.dto.FurnaceBedDto;
import com.sw.mes.yb.alloy.dto.FurnaceCodeDto;
import com.sw.mes.yb.alloy.entity.AlloyMasterAlloy;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AlloyMasterAlloyService extends BaseService<AlloyMasterAlloy> {
    FurnaceBedDto findByCode(String furnaceCode);

    /**
     * 计算母合金
     */
    Float calculationBaseAlloy(AlloyMasterAlloyDto dto);

    void save(AlloyMasterAlloyDto alloyMasterAlloyDto);

    void deleteById(Integer id);

//    /**
//     * 母合金加料确认
//     * @param feedingConfirmationDto 母合金对象
//     */
//    void feedingConfirmation(FeedingConfirmationDto feedingConfirmationDto);
//
//    /**
//     * 根据炉台号查询复投次数
//     * @param furnaceCode 炉台号
//     * @return 复投次数信息
//     */
//    FurnaceCodeDto findAgainNumByCode(String furnaceCode);

    /**
     * 根据炉次号和复投次数查询母合金信息
     * @param lotNo 炉次号
     * @param addTime 复投次数
     * @return 母合金信息
     */
    AlloyMasterAlloy findByLotNoAndAddTime(String lotNo, String addTime);
}
