package com.sw.mes.yb.check.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "氧反翘记录Dto")
public class OxygenReversalLogDto {

    private Long id;
     @ApiModelProperty(value = "检验时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date checkTime;
     @ApiModelProperty(value = "单晶编号" )
     String motherCrystalNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "片区" )
     String area;
     @ApiModelProperty(value = "车间" )
     String workShop;
     @ApiModelProperty(value = "头氧含量中心" )
     BigDecimal headOxyenContents;
     @ApiModelProperty(value = "尾氧含量中心" )
     BigDecimal tailOxyenContents;
}