package com.sw.mes.yb.check.service;

import org.springframework.web.context.request.RequestAttributes;

import java.util.List;

/**
 * @author zhaowenjie
 */
public interface SynchronousUpdateService {
    /**
     * 样片数据变动，触发方棒评级
     *
     * @param sectionNo 单晶编号
     */
    void synchronousUpdate(String sectionNo, RequestAttributes requestAttributes);

    /**
     * 样片数据变动，触发方棒评级
     *
     * @param sectionNos 单晶编号集合
     */
    void synchronousUpdates(List<String> sectionNos, RequestAttributes requestAttributes);
}
