package com.sw.mes.yb.fls.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "KfReturnMaterialDto")
public class KfReturnMaterialDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String deviceNo;
     @ApiModelProperty(value = "晶段编号" )
     String sectionNo;
     @ApiModelProperty(value = "退库原因代码" )
     String reasonCode;
     @ApiModelProperty(value = "退库原因描述" )
     String reasonDescription;
     @ApiModelProperty(value = "取消原因" )
     String cancelReason;
     @ApiModelProperty(value = "状态：0待确认，1已确认，2已取消" )
     String status;
     @ApiModelProperty(value = "机器人号(smcs需要)" )
     String robotCode;
     @ApiModelProperty(value = "退料口号(smcs需要)" )
     String port;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}