package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@ApiModel("边皮打托完成信息上传接口Dto")
@Data
public class RecycledMaterialUploadDto {

    @ApiModelProperty(value = "wms唯一托位号")
    String wmsTaryNo;
    @ApiModelProperty(value = "车间号(5,6)")
    String area;
    @ApiModelProperty(value = "回收料类型")
    String materialType;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "物料名称")
    String materialName;
    @ApiModelProperty(value = "回收料分类名称")
    private String recoveryName;

    @ApiModelProperty(value = "托位号")
    String bracketNo;

    @ApiModelProperty(value = "晶段编号")
    String sectionNo;

    /**
     * 产品等级
     */
    @ApiModelProperty(value = "产品等级")
    private String productGrade;
    /**
     * 产品档位
     */
    @ApiModelProperty(value = "产品档位")
    private String materialGear;
    /**
     * 掺杂剂
     */
    @ApiModelProperty(value = "掺杂剂")
    private String dopant;
    /**
     * 产品类别
     */
    @ApiModelProperty(value = "产品类别")
    private String productType;
    /**
     * 物料编码
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;

    @ApiModelProperty(value = "卡板箱号")
    String boxNo;
}
