package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-02-11 11:34
 */
@ApiModel(value = "晶段信息获取接口Dto")
@Data
public class SectionInfoDto {
//    @ApiModelProperty(value = "规格/实际规格")
//    String productTypeSecond;
    @ApiModelProperty(value = "长度")
    String actualLength;
    @ApiModelProperty(value = "平均直径")
    private String avgDiameter;
    @ApiModelProperty(value = "最小直径")
    String diameterMin;
    @ApiModelProperty(value = "最大直径")
    String diameterMax;
    @ApiModelProperty(value = "是整棒：0不限制，1整棒，2拼棒")
    Integer isJoin;
    @ApiModelProperty(value = "边长")
    String sideLength;
    @ApiModelProperty(value = "斜【0：否；1：是；】")
    Integer isBevel;

}
