package com.sw.mes.yb.mcs.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.mcs.entity.SegmentInspectionPassPointInfo;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface SegmentInspectionPassPointInfoDao extends BaseDao<SegmentInspectionPassPointInfo, Long>{

    /**
     * 根据晶段编号查询上线信息
     * @param sectionNo
     * @return
     */
    @Query(value = "SELECT  * FROM mcs_segment_inspection_pass_point_info WHERE section_no=?1",nativeQuery = true)
    List<SegmentInspectionPassPointInfo> findBySectionNo(String sectionNo);
}
