package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;


/**
 * @author JS113248
 * MCS传输过来的晶体位错信息
 */
@Data
@ApiModel("位错信息")
public class DislocationInfoDto {
    @ApiModelProperty(name = "晶体编号")
    private String crystalNo;
    @ApiModelProperty(name = "长度")
    private Integer length;
    @ApiModelProperty(name = "直径MAX")
    private BigDecimal diameterMax;
    @ApiModelProperty(name = "直径MIN")
    private BigDecimal diameterMin;
    @ApiModelProperty(name = "异常信息")
    private String detailJsonStr;

}
