package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-29 12:28
 */
@Data
@ApiModel(value = "头尾料回收上传接口Dto")
public class HeadTailMaterialInfoDto {
    @ApiModelProperty(value = "回收料箱编号（rfid）")
    String caseNo;
    @ApiModelProperty(value = "评级")
    String level;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "回收料编号集合")
    List<String> segmentNoList;
}
