package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
 * @author js114457
 */
@Data
public class McsSquareInventoryLogDto {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("晶棒号")
    private String crystalNo;

    @ApiModelProperty("下发点位")
    private String packBox;

    @ApiModelProperty(value = "打托工位")
    public String name;

    @ApiModelProperty("拼数")
    private String sticksCount;

    @ApiModelProperty("租户id")
    private Integer tenantId;

    @ApiModelProperty("关联id")
    private Integer relationId;

    @ApiModelProperty("分库标记")
    private String branchCode;

    @ApiModelProperty("长度")
    private String length;

    private Integer delFlag ;

    @ApiModelProperty("出库或入库标记")
    private String inventoryType;


    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    private Date createTime = new Date();

    @ApiModelProperty("更新人")
    private String updateUser;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("导电型号")
    private String conductionType;

    @ApiModelProperty("评级结果")
    private String productLevelFb;

    @ApiModelProperty("规格")
    private String specification;

    @ApiModelProperty("产品类型")
    public String productType;

}
