package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author wanghao
 * @Date: 2022/5/27
 * @Modified By:
 */
@Data
@ApiModel(value = "样片检测信息接收接口Dto")
public class SampleCheckInfoDto {
    @ApiModelProperty(value = "样片编号")
    private String pieceNo;

    @ApiModelProperty(value = "微缺陷")
    private String microDefect;

    @ApiModelProperty(value = "位错")
    private String lineDefect;

    @ApiModelProperty(value = "缺陷位错备注")
    private String remark1;

    @ApiModelProperty(value = "碳含量 中心")
    private BigDecimal cContents;

    @ApiModelProperty(value = "碳含量 边缘")
    private BigDecimal cBorderContents;

    @ApiModelProperty(value = "氧含量 中心")
    private BigDecimal oContents;

    @ApiModelProperty(value = "氧含量 边缘")
    private BigDecimal oBorderContents;

    @ApiModelProperty(value = "寿命")
    private BigDecimal lifeTime;

    @ApiModelProperty(value = "氧碳检测备注")
    private String remark2;

    @ApiModelProperty(value = "厚度")
    private BigDecimal thickness;

    @ApiModelProperty(value = "中心退火电阻率")
    private BigDecimal centerAnneal;

    @ApiModelProperty(value = "边缘退火电阻率")
    private BigDecimal borderAnneal;

    @ApiModelProperty(value = "退火后电阻率备注")
    private String annealRemark;

    @ApiModelProperty(value = "车间")
    private String workshop;

}
