package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.util.Date;

/**
 * 晶段线体绑定记录表Dto
 * @TableName segment_bind_info
 */
@Data
@ApiModel(value = "晶段线体绑定记录表Dto")
public class SegmentBindInfoDto  {


    private Integer id;

    /**
     * 单晶编号(短棒)
     */
    @ApiModelProperty(value = "单晶编号")
    private String segmentNo;

    /**
     * 截断机编号
     */
    @ApiModelProperty(value = "截断机编号")
    private String deviceNo;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建者姓名
     */
    @ApiModelProperty(value = "创建者姓名")
    private String createUserName;


}