package com.sw.mes.yb.mcs.dto.fillingMaterial;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/21 17:47
 */
@Data
@ApiModel(value = "取消生产任务下发MCSdto")
public class CancelMoDistributionToMcsDto {
    @ApiModelProperty(value = "任务编号")
    private String orderNo;
    @ApiModelProperty(value = "任务类型0：装料1：初始复投2：取段复投")
    private Integer orderType;
    @ApiModelProperty(value = "取消原因")
    private String reason;
    @ApiModelProperty(value = "取消时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cancelTime;
}
