package com.sw.mes.yb.mcs.dto.fillingMaterial;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/21 14:29
 */
@Data
@ApiModel(value = "推送mcs装料任务坩埚信息Dto")
public class CrucibleInfoToMcsDto {
    @ApiModelProperty("料号")
    private String code;
    @ApiModelProperty("尺寸")
    private String dimension;
    @ApiModelProperty("品类")
    private String category;
    @ApiModelProperty("等级")
    private String level;
    @ApiModelProperty("厂家")
    private String manufacturer;
    @ApiModelProperty("高度")
    private String height;
    @ApiModelProperty("满锅料量")
    private String fullPotCapacity;
}
