package com.sw.mes.yb.mcs.dto.fillingMaterial.MoWarehousingToMcs;

import com.sw.mes.yb.mcs.dto.fillingMaterial.MoTrayBindingToMcs.BindingCassetteToMcsDto;
import com.sw.mes.yb.mcs.dto.fillingMaterial.MoTrayBindingToMcs.MaterialPropertyDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/22 10:36
 */
@Data
@ApiModel(value = "mcs原料库位绑定下发mcsDto")
public class MoWarehousingBindingToMcsDto {
    @ApiModelProperty(value = "库位编号" )
    String warehouseStock;
    @ApiModelProperty(value = "地码" )
    String forkliftLocationCode;
    @ApiModelProperty(value = "物料编号")
    String materialNo;
//    @ApiModelProperty(value = "物料属性")
//    MaterialDetailDto materialDetailInfo;
    @ApiModelProperty(value = "物料属性")
    String materialDetailInfo;
    @ApiModelProperty(value = "库位状态：0 空，1空物料，2 已满， 3锁定， 10异常锁定")
    Integer warehouseStatus;
}
