package com.sw.mes.yb.pad.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.fls.entity.RecycledWaitRecord;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface RecycledWaitRecordDao extends BaseDao<RecycledWaitRecord, Long> {
    @Query(value = "SELECT * FROM `recycled_wait_record` WHERE status = ?1 AND material_type = ?2", nativeQuery = true)
    List<RecycledWaitRecord> getListByStatusAndMaterialType(Integer status, String type);
}
