package com.sw.mes.yb.pad.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "PieceSectionNoDetailDto")
public class PieceSectionNoDetailDto {

    private Long id;
     @ApiModelProperty(value = "圆棒编号" )
     String sectionNo;
     @ApiModelProperty(value = "圆棒对应头片编号" )
     String pieceNoT;
     @ApiModelProperty(value = "圆棒对应尾片编号" )
     String pieceNoW;
     @ApiModelProperty(value = "长棒id" )
     Long crystalId;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
}