package com.sw.mes.yb.pc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "坩埚点检项Dto")
public class CrucibleCheckDataItemDto {

    private Long id;

	/** 坩埚点检项ID **/
    @ApiModelProperty(value = "坩埚点检项ID" , required = true)
    Integer checkItemId;

    /** 点检名称 **/
    @ApiModelProperty(value = "点检名称" , required = true)
    String checkItemCheckName;

    /** 点检标准 **/
    @ApiModelProperty(value = "点检标准" , required = true)
    String checkItemStandard;

    /** 点检方式 **/
    @ApiModelProperty(value = "点检方式" )
    String checkItemMethod;

    /** 点检项目 **/
    @ApiModelProperty(value = "点检项目" )
    String checkItemParent;

    /** 点检结果 1无 2有 **/
    @ApiModelProperty(value = "点检结果 1无 2有" , required = true)
    String checkResult;

    /** 确认结果 1可用 2不可用 **/
    @ApiModelProperty(value = "确认结果 1可用 2不可用" , required = true)
    String confirmResult;

    /** 备注 **/
    @ApiModelProperty(value = "备注" )
    String remark;

}