package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "预取棒Dto")
public class EstimatedRecordDto {

    private Integer id;
    @ApiModelProperty(value = "设备编号 ")
    String deviceCode;
    @ApiModelProperty(value = "节点下发时间")
    Date nodeTime;
    @ApiModelProperty(value = "节点名称")
    String nodeName;
    @ApiModelProperty(value = "长度")
    String length;
    @ApiModelProperty(value = "推送取棒时间")
    Date takeTime;
    @ApiModelProperty(value = "创建人")
    String createUser;
    @ApiModelProperty(value = "创建时间")
    Date createTime;
    @ApiModelProperty(value = "更新人")
    String updateUser;
    @ApiModelProperty(value = "更新时间")
    Date updateTime;
    @ApiModelProperty(value = "第一备用字段")
    String remarkFirst;
    @ApiModelProperty(value = "第二备用字段")
    String remarkSecond;
}