package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "边皮打码规则Dto")
public class SideSkinCodingRuleDto {

    private Integer id;
     @ApiModelProperty(value = "边皮打码规则(编码)" )
     String skinName;
     @ApiModelProperty(value = "模块" )
     String area;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "热场" )
     String thermal;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "产品规格" )
     String specs;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
     @ApiModelProperty(value = "复投第几颗" )
     Integer againCount;
     @ApiModelProperty(value = "炉次第几根" )
     Integer lotCount;
     @ApiModelProperty(value = "画线长度min" )
     BigDecimal lineMin;
     @ApiModelProperty(value = "画线长度max" )
     BigDecimal lineMax;
     @ApiModelProperty(value = "段号" )
     String piecewiseNum;
     @ApiModelProperty(value = "打码标识" )
     String codeMark;
     @ApiModelProperty(value = "搭配方案" )
     String techBom;
     @ApiModelProperty(value = "创建者" , required = true)
     String userCreate;
     @ApiModelProperty(value = "修改者" )
     String userUpdate;
     @ApiModelProperty(value = "创建时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
}