/**
 * There are liru code generation
 */
package com.sw.mes.yb.pc.dto;

import com.sw.mes.base.factory.material.dto.MaterialModelDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author liru
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "领料申请明细Dto")
public class StoreOutputApplyItemDto {
	private Integer id;

	/** 出库申请单id **/
    @ApiModelProperty(value = "出库申请单id")
    Long outputApplyId;

	/** 物料模型id **/
    @ApiModelProperty(value = "物料模型id")
    Integer materialModelId;

	/** 需求数量 **/
    @ApiModelProperty(value = "需求数量")
    BigDecimal count;

    /** 库存数量 **/
    @ApiModelProperty(value = "库存数量")
    BigDecimal stockCount;

    /** 差异值 **/
    @ApiModelProperty(value = "差异值")
    BigDecimal diffValue;

    /** 物料模型信息 **/
    MaterialModelDto materialModelDto;


}
