package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.ResponsePage;
import com.sw.mes.inspect.entity.YbInspectData;
import com.sw.mes.yb.pc.dto.InspectDataBaseDto;
import com.sw.mes.yb.pc.entity.DataInspectLog;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface DataInspectLogService extends BaseService<DataInspectLog> {
    ResponsePage<InspectDataBaseDto> getListPageInfo(String search_EQ_sectionNo, String search_EQ_crystalNo, String search_EQ_inspector,
                                                     String search_GTE_levelTime, String search_LT_levelTime, Pageable pageable);

    List<InspectDataBaseDto> getListInfo(String search_EQ_sectionNo, String search_EQ_crystalNo, String search_EQ_inspector,
                                         String search_GTE_levelTime, String search_LT_levelTime);

    List<DataInspectLog> getDataInspectLogBySectionNo(String sectionNo);
    List<DataInspectLog> getDataInspectLog(String sectionNo);
}
