package com.sw.mes.yb.plan.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.plan.entity.PlanEquipmentOutput;
import com.sw.mes.yb.plan.dao.PlanEquipmentOutputDao;
import com.sw.mes.yb.plan.service.PlanEquipmentOutputService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class PlanEquipmentOutputServiceImpl extends BaseServiceImpl<PlanEquipmentOutput> implements PlanEquipmentOutputService {
    PlanEquipmentOutputDao dao;
	@Autowired
    public void setDao(PlanEquipmentOutputDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public PlanEquipmentOutput findByEquipmentAndDate(String equipmentCode, String date) {
        return dao.findTopByEcAndDate(equipmentCode, date);
    }
}
