package com.sw.mes.yb.printer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/2/27 13:02
 */
@Data
@ApiModel("配料单信息")
public class IngredientInfoDto {
    @ApiModelProperty("炉台号")
    private String furnaceCode;
    @ApiModelProperty("加料次数")
    private Integer againNum;
    @ApiModelProperty("桶数")
    private Integer barrelCount;
    @ApiModelProperty("载具编号")
    private String carrierNo;
    @ApiModelProperty("桶编号")
    private String barrelNumber;
    @ApiModelProperty("加料重量")
    private BigDecimal totalWeight;
    @ApiModelProperty("物料详情")
    private List<MaterialInfoDto> materialInfoDtoList;
    @ApiModelProperty("加料信息详情")
    private List<FeedInInfoDto>feedInInfoDtoList;
}
