package com.sw.mes.yb.printer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lf
 * @description
 * @date 2024/2/27 13:07
 */
@Data
@ApiModel("物料详情")
public class MaterialInfoDto {
    @ApiModelProperty("物料分类")
    private String materialName;
    @ApiModelProperty("物料编码")
    private String materialCode;
    @ApiModelProperty("供应商")
    private String supplier;
    @ApiModelProperty("批次号")
    private String batchNumber;
    @ApiModelProperty("重量")
    private BigDecimal weight;
    @ApiModelProperty("桶编号")
    private String barrelNumber;
}
