package com.sw.mes.yb.production.dto.AgainTaskDetail;

import java.util.Date;

import javax.validation.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author 李儒
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "复投任务明细Dto")
public class AgainTaskInstoreDto {


	@ApiModelProperty(value = "复投任务明细id(production_again_task_detail.id)")
	//@NotBlank(message = "请传入复投任务明细id")
	private Long id;
	@ApiModelProperty(value = "设备号")
	String equipmentCode;
    @ApiModelProperty(value = "入库操作人")
    @NotBlank(message = "请传入入库操作人")
    private String instoreUserName;
    @ApiModelProperty(value = "入库操作时间", required = true)
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date instoreOperatorTime;
    @ApiModelProperty(value = "入库编号")
    @NotBlank(message = "请传入入库编号")
    private String instorePosCode;
    @ApiModelProperty(value = "入库备注")
    private String instoreRemark;
    
	
}