package com.sw.mes.yb.production.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "配合金Dto")
public class ConfigureAlloyDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "复投总桶数" )
     Integer againPailNum;
     @ApiModelProperty(value = "申请时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date applyCreate;
     @ApiModelProperty(value = "配合金时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operationTime;
     @ApiModelProperty(value = "浓度" )
     String consistence;
     @ApiModelProperty(value = "送验重量" , required = true)
     BigDecimal wegith;
     @ApiModelProperty(value = "目标电阻" )
     String targetResistance;
     @ApiModelProperty(value = "称重者" )
     String operationUserName;
     @ApiModelProperty(value = "备注" )
     String remark;
}