package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品标准卡Dto")
public class FbProductCardDto {

    private Integer id;
     @ApiModelProperty(value = "客户名称" )
     String customerName;
     @ApiModelProperty(value = "规格" )
     String specification;
     @ApiModelProperty(value = "直径" )
     String diameter;
     @ApiModelProperty(value = "边长" )
     String sideLength;
     @ApiModelProperty(value = "垂直度" )
     String verticality;
     @ApiModelProperty(value = "弧长投影" )
     String projection;
     @ApiModelProperty(value = "X锥度" )
     String taperXz;
     @ApiModelProperty(value = "Y锥度" )
     String taperYz;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建人id" )
     Integer createUserId;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     @ApiModelProperty(value = "修改人" )
     String updateUser;
     @ApiModelProperty(value = "修改人ID" )
     Integer updateUserId;
     @ApiModelProperty(value = "是否删除" )
     Boolean deleted;
     @ApiModelProperty(value = "删除人" )
     String deletedUser;
     @ApiModelProperty(value = "删除人id" )
     Integer deletedUserId;
     @ApiModelProperty(value = "删除时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date deletedTime;
}