package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author JS113248
 */
@ApiModel(value = "配料任务配方方案Dto")
@Data
public class LoadingTaskRecipeDto {
    private Long id;
    @ApiModelProperty(value = "配料任务Id")
    private Long loadingTaskId;
    @ApiModelProperty(value = "配方类型")
    private String recipeKind;
    @ApiModelProperty(value = "物料类型名称")
    private String suppliesName;
    @ApiModelProperty(value = "物料类型编码")
    private String suppliesCode;
    @ApiModelProperty(value = "物料分类")
    private String suppliesType;
    @ApiModelProperty(value = "掺杂剂")
    private String suppliesDopant;
    @ApiModelProperty(value = "电阻率最大值")
    private String suppliesResistanceMax;
    @ApiModelProperty(value = "电阻率最小值")
    private String suppliesResistanceMin;
    @ApiModelProperty(value = "优先级")
    private Integer priority;
    @ApiModelProperty(value = "重量")
    private BigDecimal weight;
    @ApiModelProperty(value = "10kg箱数")
    private Integer bucketTen;
    @ApiModelProperty(value = "40kg箱数")
    private Integer bucketForty;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "创建人")
    private String createBy;
}
