package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "ProcessPathDto")
public class ProcessPathDto {

     @ExcelIgnore
     private Long id;
     @ApiModelProperty(value = "设备号" )
     @ExcelProperty(value = "设备号")
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     @ExcelProperty(value = "炉次号")
     String lotNo;
     @ApiModelProperty(value = "加次" )
     @ExcelProperty(value = "加次")
     String againNum;
     @ApiModelProperty(value = "工步发生时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty(value = "工步发生时间")
     Date startTime;
     @ApiModelProperty(value = "工步结束时间(暂时不用)" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty(value = "工步结束时间")
     Date endTime;
     @ApiModelProperty(value = "工艺名称" )
     @ExcelProperty(value = "工艺名称")
     String stepName;
     @ApiModelProperty(value = "备注(触发信息)" )
     @ExcelProperty(value = "备注")
     String remark;
     @ApiModelProperty(value = "设备工步发生时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty(value = "设备工步发生时间")
     Date deviceStartTime;
     @ApiModelProperty(value = "设备工步结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @ExcelProperty(value = "设备工步结束时间")
     Date deviceEndTime;
}