package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "工艺工序Dto")
public class ProcessWorkingStepDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "工步发生时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTime;
     @ApiModelProperty(value = "上一次工艺名称" )
     String lastStepName;
     @ApiModelProperty(value = "当前工艺名称" )
     String stepName;
     @ApiModelProperty(value = "模块号" )
     String area;
     @ApiModelProperty(value = "开始操作人" )
     String startOperatorUser;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
}