package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author xushu
 * @date
 */
@Data
@ApiModel(value = "每桶配料详情")
public class ProductionBucketDto {

    @ApiModelProperty(value = "一桶重量" )
    Integer weight;
    @ApiModelProperty(value = "物料分配明细" )
    Map<String,List<ProductionBucketRecipeRecordDto>> productionBucketRecipeRecordDtos;
}