package com.sw.mes.yb.production.dto;

import com.sw.mes.yb.production.dto.LoadingTask.FillingTaskVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "RecipeSaveDto")
public class RecipeSaveDto {

    @ApiModelProperty(value = "分桶配方" )
    List<FillingTaskRecipeDto> fillingTaskRecipeDtos;

    @ApiModelProperty(value = "复投任务配方" )
    List<ProductionAgainTaskRecipeDto> productionAgainTaskRecipeDtos;

    @ApiModelProperty(value = "剩余重量" )
    BigDecimal sWeight;

}
