package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: xushu
 * @Date: 2022/08/19/9:45
 * @Description:
 */
@Data
public class RecycledMaterialManageDetailExportDto {
    @ExcelProperty(value = "托号", index = 0)
    String trayNo;

    @ExcelProperty(value = "回收料类型", index = 1)
    String recycledMaterialType;

    @ExcelProperty(value = "来源", index = 2)
    String source;

    /**
     * 炉次号
     */
    @ExcelProperty(value = "炉次号",index = 3)
    String lotNo;

    @ExcelProperty(value = "产品类别", index = 4)
    String productionCategory;

    @ExcelProperty(value = "等级", index = 5)
    String grade;

    @ExcelProperty(value = "物料编号", index = 6)
    String materialCode;

    @ExcelProperty(value = "物料名称", index = 7)
    String materialName;


    @ExcelProperty(value = "个数", index = 8)
    Integer num;

    @ExcelProperty(value = "状态", index = 9)
    String status;

    @ExcelProperty(value = "打托人", index = 10)
    String createBy;

    @ExcelProperty(value = "打托时间", index = 11)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;

    @ExcelProperty(value = "接收人", index = 12)
    String receiver;

    @ExcelProperty(value = "接收时间", index = 13)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date receiveTime;

    @ExcelProperty(value = "产品等级", index = 14)
    String productLevel;

    @ExcelProperty(value = "回收料编号", index = 15)
    String recycleNo;

    @ExcelProperty(value = "产品类型", index = 16)
    String productionType;

    @ExcelProperty(value = "厂区", index = 17)
    String factory;

    @ExcelProperty(value = "挡位", index = 18)
    String gear;

    @ExcelProperty(value = "单位名称",index = 19)
    String unitName;

    @ExcelProperty(value = "重量",index = 20 )
    BigDecimal weight;

    @ExcelProperty(value = "规格",index = 21 )
    String specification;

    @ExcelProperty(value = "ERP工单",index = 22 )
    String erpOrder;


}
