package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "仔晶原料判定规则Dto")
public class ZaijingJudgmentRuleDto {

    private Integer id;
     @ApiModelProperty(value = "规则名称" )
     String ruleName;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "状态说明【0：默认，无效close;1:启用，有效open;】" )
     Integer ruleType;
     @ApiModelProperty(value = "导电型号" )
     String conductiveType;
     @ApiModelProperty(value = "段数" )
     Integer lineNum;
     @ApiModelProperty(value = "长度" )
     BigDecimal length;
     @ApiModelProperty(value = "分段数" )
     Integer segmentNum;
     @ApiModelProperty(value = "电阻率" )
     String resistivity;
     @ApiModelProperty(value = "寿命" )
     String lifeTime;
     @ApiModelProperty(value = "创建者" )
     String userCreate;
     @ApiModelProperty(value = "修改者" )
     String userUpdate;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtUpdate;
}