package	com.sw.mes.yb.production.service.impl;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.production.dao.EquipmentWorkHoursLogDao;
import com.sw.mes.yb.production.entity.EquipmentWorkHoursLog;
import com.sw.mes.yb.production.service.EquipmentWorkHoursLogService;


/**
* @Author
* @Description��
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class EquipmentWorkHoursLogServiceImpl extends BaseServiceImpl<EquipmentWorkHoursLog> implements EquipmentWorkHoursLogService {
    EquipmentWorkHoursLogDao dao;
	@Autowired
    public void setDao(EquipmentWorkHoursLogDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }
	
	@Override
	public EquipmentWorkHoursLog getByEquipmentCodeLastOperation(String equipmentCode) {
		return dao.getByEquipmentCodeLastOperation(equipmentCode);
	}
}
