package com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.OutputRecord;
import com.sw.mes.yb.production.dao.OutputRecordDao;
import com.sw.mes.yb.production.service.OutputRecordService;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class OutputRecordServiceImpl extends BaseServiceImpl<OutputRecord> implements OutputRecordService {
    OutputRecordDao dao;

    @Autowired
    public void setDao(OutputRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public OutputRecord findTopByDeviceNo(String deviceCode) {
        return dao.findTopByDeviceNo(deviceCode);
    }

}
