package com.sw.mes.yb.report.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.report.entity.CastMaterialInfo;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface CastMaterialInfoDao extends BaseDao<CastMaterialInfo, Long>{

    List<CastMaterialInfo> findByLotNoAndMaterialTypeOrderByIdDesc(String lotNo, String materialType);

    @Query(value = "select * from energy_statistics_info",nativeQuery = true)
    List<Map<String, Object>> findenergyStatisticsInfoAll();

}
