package com.sw.mes.yb.seed.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sw.mes.yb.seed.entity.SeedData;
import com.sw.mes.yb.seed.entity.SeedIQCInspection;
import com.sw.mes.yb.seed.entity.SeedSelfInspection;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

import javax.persistence.*;
import java.io.Serializable;

@Data
public class SelfIQCInspectionDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "籽晶编码")
    private String seedCode;
    @ApiModelProperty(value = "籽晶对象")
    private SeedDataDto seedDataDto;
    @ApiModelProperty(value = "籽晶自检对象")
    private SeedSelfInspectionDto seedSelfInspection;
    @ApiModelProperty(value = "籽晶IQC检测对象")
    private SeedIQCInspectionDto seedIQCInspection;

}
