package com.sw.mes.yb.spc.app.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "安卓端spc权限Dto")
public class AppPermissionDto {

    private Integer id;
    @ApiModelProperty(value = "角色id")
    Integer roleId;
    @ApiModelProperty(value = "角色名字")
    String roleName;
    @ApiModelProperty(value = "系列")
    String series;
    @ApiModelProperty(value = "权限")
    String permission;
    @ApiModelProperty(value = "模块名")
    String moduleName;
    @ApiModelProperty(value = "用户")
    String user;
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
    @ApiModelProperty(value = "类型：0 圆棒 1 方棒")
    Integer type;
}