package com.sw.mes.yb.spc.app.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.spc.app.entity.AppPermission;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface AppPermissionService extends BaseService<AppPermission> {

    /**
     * 去重查询
     *
     * @param roleId
     * @param permission
     * @param moduleName
     * @return
     */
    AppPermission findByRoleIdAndPermissionAndModuleNameAndType(Integer roleId, String permission, String moduleName,Integer type);

    Map<String, String> getAppPermissionDto(HttpServletRequest request, String moduleName, Integer type);
}
