package com.sw.mes.store.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author wupeng
 * @Description 入库单导入DTO
 * @Date 09:25 2023/10/13
 * @Param
 * @return
 **/
@ApiModel(value = "入库单导入模型")
@Data
public class InputBillImportDto extends BaseRowModel {
    @ApiModelProperty(value = "入库单号")
    @ExcelProperty("入库单号")
    private String billNo;
    @ApiModelProperty(value = "物料料号")
    @ExcelProperty("物料料号")
    private String materialCode;
    @ApiModelProperty(value = "唯一码")
    @ExcelProperty("唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "批次号")
    @ExcelProperty("批次号")
    private String batchNo;
    @ApiModelProperty(value = "入库数量")
    @ExcelProperty("入库数量")
    private String count;
    @ApiModelProperty(value = "库位名称")
    @ExcelProperty("库位名称")
    private String warehouseName;
}
