package com.sw.mes.store.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class LockInventoryDto {
    /**
     * 物料主数据料号
     */
    private String materialModelCode;
    /**
     * 系统生成唯一码
     */
    private String uniqueCode;
    /**
     * 批次号
     */
    private String batchNo;
    /**
     * 库位编码
     */
    private Long warehouseId;
    /**
     * 数量
     */
    private BigDecimal quantity;
}
