package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName(value = "warehouse_output_agv")
public class WarehouseOutputAgv implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 点位码
     */
    private String pointCode;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;

}
