package com.sw.mes.store.global;

import lombok.Data;

/**
 * 开关配置值
 *
 * @Author：wanjia
 * @Date：2024/2/16 17:33
 */
@Data
public class SwitchConfig {

    public SwitchConfig() {
    }

    public SwitchConfig(boolean enable) {
        this.enable = enable;
    }

    /**
     * 分组
     */
    private String namespace;

    /**
     * key
     */
    private String key;
    /**
     * 开关是否开启
     */
    private boolean enable;

    /**
     * 对应的值
     */
    private String value;

    /**
     * 描述
     */
    private String description;
}
