package com.sw.mes.store.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.store.entity.WarehouseInputRecordBillDetail;
import com.sw.mes.store.mapper.WarehouseInputRecordBillDetailMapper;
import com.sw.mes.store.service.WarehouseInputRecordBillDetailService;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class WarehouseInputRecordBillDetailServiceImpl extends ServiceImpl<WarehouseInputRecordBillDetailMapper, WarehouseInputRecordBillDetail> implements WarehouseInputRecordBillDetailService {
    @Autowired
    private ModelMapper modelMapper;
    @Autowired
    private WarehouseInputRecordBillDetailMapper mapper;
    @Override
    public WarehouseInputRecordBillDetail getByMaterialCodeAndBatchNo(String materialCode, String batchNo) {
        return mapper.getByMaterialCodeAndBatchNo(materialCode,batchNo);
    }

    @Override
    public List<WarehouseInputRecordBillDetail> findWarehouseInputRecordBillDetailsByMaterialCode(String materialCode) {
        return mapper.findWarehouseInputRecordBillDetailsByMaterialCode(materialCode);
    }
}