package com.sw.common.accessory.api.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author wupeng
 * @Description //TODO
 * @Date 10:16 2024/1/3
 * @Param
 * @return
 **/
@Data
public class MaterialModelDto {
    private Integer id;

    /**
     * 模型名称
     */
    private String name;

    /**
     * 物料编号
     */
    private String code;

    /**
     * 物料规格
     */
    private String specification;

    /**
     * 物料种类
     */
    private MaterialTypeDto materialTypeDto;

    /**
     * 计量单位
     */
    private UnitDto unitDto;


    /**
     * 库存周期
     */
    private Integer inventoryCycleTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 软删除 1：删除；0：未删除
     */
    private Boolean del;

    /**
     * 供应商
     */
    private String supplier;


    List<MaterialModelPropertyDto> properties = new ArrayList<>();


}
