package com.sw.common.accessory.api.model;

import lombok.Data;

/**
 * @Author wudanjun
 * @Description：物料模型
 * @Date: Create in 17:10 2018/11/13
 * @Modified By:
 */
@Data
public class MaterialModelPropertyDto {

    private Integer id;

    /**
     * 字段名(英文)
     */
    private String fieldName;

    /**
     * 字段名(中文)
     */
    private String displayName;

    /**
     * 值类型
     */
    private String valueType;

    /**
     * 所属物料模型
     */
    private Integer materialModelId;


}
