package com.sw.common.accessory.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 入库单
 * @Author wupeng
 * @Date 2023/7/26 19:41
 **/
@Data
@ApiModel(value = "入库申请对象模型")
public class WarehouseInputBillBo {

    @ApiModelProperty(value = "入库单号")
    private String billNo;

    @ApiModelProperty(value = "入库类型")
    private String type;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "拒收原因")
    private String rejectReason;

    @ApiModelProperty(value = "拒收原因备注")
    private String rejectReasonRemark;

    @ApiModelProperty(value = "是否自动审核")
    private Boolean autoAudit = false;

    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;

    @ApiModelProperty(value = "入库明细")
    private List<WarehouseInputBillDetailBo> inputBillDetails = new ArrayList<>();

}
