package com.sw.common.accessory.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 要料申请部位
 */
@Data
public class ApplyMaterialPartDto {
    /**
     * 部位id
     */
    @ApiModelProperty(value = "部位id")
    private Long partId;
    /**
     * 部位编码
     */
    @ApiModelProperty(value = "部位编码")
    private String partCode;
    /**
     * 部位名称
     */
    @ApiModelProperty(value = "部位编码")
    private String partName;
    /**
     * 物料id
     */
    @ApiModelProperty(value = "物料id")
    private Long materialId;
    /**
     * 物料编码
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;
    /**
     * 物料名称
     */
    @ApiModelProperty(value = "物料名称")
    private String materialName;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量", required = true)
    private Integer number;
}
