package com.sw.common.accessory.server.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "辅材寿命追溯Dto")
public class LifeResumeDto {

    private Long id;
    @ApiModelProperty(value = "设备编号")
    private String equipmentCode;
    @ApiModelProperty(value = "辅材id", required = true)
    private Long accessoryId;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateTime;
    @ApiModelProperty(value = "类型（0: 上机，1：下机）")
    private String type;
    @ApiModelProperty(value = "信息（html）")
    private String message;
    @ApiModelProperty(value = "操作人")
    private String userCreate;
}