/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "accy_life_resume")
public class LifeResume implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 设备编号
     */
    private String equipmentCode;

    /**
     * 辅材id
     */
    private Long accessoryId;

    /**
     * 操作时间
     */
    private Date operateTime;

    /**
     * 类型（0: 上机，1：下机，2：对调）
     */
    private Integer type;

    /**
     * 信息（html）
     */
    private String message;

    /**
     * 操作人
     */
    private String userCreate;


    public LifeResume() {
    }

    public LifeResume(Long id) {
        this.id = id;
    }
}
