package com.sw.common.accessory.server.mapper;

import com.sw.common.accessory.server.dto.DeterminationEchnologyDto;
import com.sw.common.accessory.server.entity.DeterminationEchnology;
import com.sw.common.mybatisplus.base.BaseDao;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface DeterminationEchnologyMapper extends BaseDao<DeterminationEchnology>{
    @Select("select * from accy_anomaly_determination_echnology  where unique_code = #{uniqueCode}")
    DeterminationEchnology findEchnologyByUniqueCode(String uniqueCode);
    @Select("select * from accy_anomaly_determination_echnology where accessory_id = #{accessoryId} order by id desc limit 1")
    DeterminationEchnology findEchnologyByAccessoryId(Long accessoryId);
    @Select("select * from accy_anomaly_determination_echnology where id = #{id} and del = 0")
    DeterminationEchnology getEchnologyById(Long id);
    @Select("select * from accy_anomaly_determination_echnology where input_bill_no = #{billNo}")
    DeterminationEchnology findByInputBillNo(String billNo);
}
