package com.sw.mes.auth.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.sw.mes.core.annotation.Jinko;
import lombok.Data;

/**
 * 【系统域—系统管理】角色表
 *
 * @TableName auth_role
 */
@Jinko(value = "新增字段",author = "liangfeng")
@TableName(value = "auth_role")
@Data
public class AuthRole implements Serializable {
    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 角色名称
     */
    private String name;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者id
     */
    private Integer createUserId;

    /**
     * 创建者姓名
     */
    private String createUserName;

    /**
     * 绑定的权限id集合
     */
    private String description;
    /**
     * 角色类型：1功能角色，2数据角色
     */
    private Integer type;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
