package com.sw.mes.auth.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sw.mes.core.annotation.Jinko;
import lombok.Data;

import java.io.Serializable;

/**
 * 角色与仓库关联表
 *
 * @author lf
 */
@Jinko(value = "新增角色与仓库关联表",author = "liangfeng")
@TableName(value = "auth_role_warehouse")
@Data
public class AuthRoleWarehouse implements Serializable{
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 角色ID
     */
    private Integer roleId;
    /**
     * 仓库权限id
     */
    private Integer warehouseId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
