package com.sw.mes.auth.mapper;

import com.sw.mes.auth.domain.AuthPermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_permission(【系统域—系统管理】菜单配置)】的数据库操作Mapper
* @createDate 2022-05-19 13:54:21
* @Entity com.sw.mes.auth.domain.AuthPermission
*/
@Repository
public interface AuthPermissionMapper extends BaseMapper<AuthPermission> {
    List<AuthPermission> getByUserId(@Param("userId") Integer userId);
}




