package com.sw.mes.auth.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.auth.domain.AuthRoleWarehouse;
import com.sw.mes.auth.mapper.AuthRoleWarehouseMapper;
import com.sw.mes.auth.service.AuthRoleWarehouseService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lf
 * @date 2023/12/30 18:39
 */
@Service
public class AuthRoleWarehouseServiceImpl extends ServiceImpl<AuthRoleWarehouseMapper, AuthRoleWarehouse>
        implements AuthRoleWarehouseService {
    @Override
    public List<AuthRoleWarehouse> findAuthRoleWarehouseByRoleId(Integer roleId) {
        LambdaQueryWrapper<AuthRoleWarehouse> qw = new LambdaQueryWrapper<>();
        qw.eq(AuthRoleWarehouse::getRoleId, roleId);
        return super.list(qw);
    }
}
