package com.sw.mes.itemclean;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @Author: JS111816
 * @Description:
 * @Date: 2022/9/14
 * @Modified By:
 **/
@SpringBootApplication
@EnableTransactionManagement
@EnableFeignClients(basePackages = {"com.sw.mes.core.api.*"})
@EnableAspectJAutoProxy
@EnableDiscoveryClient
public class MesItemCleanServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(MesItemCleanServerApplication.class,args);
    }

}
