package com.sw.mes.itemclean.clean.dto;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 破碎上下料查询参数
 */
@Data
@Accessors(chain = true)
public class BrokeUpAndDownParamQuery {

    /**
     * pp号
     */
    private String productBatchNo;
    /**
     * 物料名称
     */
    private String materialName;
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 清洗上料开始时间开始
     */
    private String createStartTime;
    /**
     * 清洗上料结束时间结束
     */
    private String createEndTime;
    /**
     * 清洗下料开始时间开始
     */
    private String downCreateStartTime;
    /**
     * 清洗下料结束时间结束
     */
    private String downCreateEndTime;


}
