package com.sw.mes.itemclean.clean.dto;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 组托详情查询参数
 */
@Data
@Accessors(chain = true)
public class GroupDetailParamQuery {

    /**
     * 洗料托号
     */
    private String groupNo;
    /**
     * 物料名称
     */
    private String materialName;
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 组托时间开始
     */
    private String createStartTime;
    /**
     * 组托时间结束
     */
    private String createEndTime;
    /**
     * 生产批次
     */
    private String productBatchNo;



    /**
     * 工单号
     */
    private String aufnr;


    /**
     * 成箱号
     */
    private String materialBoxNo;


}
