package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/17 15:23
 * @description
 */
@Data
@AllArgsConstructor
public class MaterialCleaningBasketChooseDto {
    @ApiModelProperty(value = "原料清洗id")
    @NotNull(message = "原料清洗id不能空")
    Integer id;

    @ApiModelProperty(value = "花篮信息")
    List<BasketInfoDto> basketInfo;
}
