package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 打签箱待存（待扫码领料）
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Getter
@Setter
@ApiModel(value = "MaterialStoreSignBox对象", description = "打签箱待存（待扫码领料）")
public class MaterialStoreSignBoxDtos implements Serializable {

    @ApiModelProperty("新合批领料箱号")
    private String materialBoxNo;

    @ApiModelProperty("合批数据")
    private List<MaterialStoreSignBoxDto> dtos;

}
