package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "拉取洗料发料上报erp记录子表Dto")
public class ReportErpXlInputRecordDetailDto {

    private Long id;
     @ApiModelProperty(value = "主表id" )
     Long rid;
     @ApiModelProperty(value = "业务表id" )
     Long bid;
     @ApiModelProperty(value = "重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "清洗批次号" )
     String batchNo;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "箱号" )
     String boxNo;
     @ApiModelProperty(value = "0未上报，1已上报" )
     Integer pushed;
     @ApiModelProperty(value = "物料编号" )
     String materialCode;
}