package com.sw.mes.itemclean.clean.dto.auto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/16 10:15
 * @description
 */
@Data
public class IOTRequestUnpackingDto {

    @ApiModelProperty(value = "当前余料批次号或分选pp批次号 (人工模式,是分选pp号;自动模式,是余料批次号)", required = true)
    @NotNull(message = "批次号/pp号不能空")
    private String currentProductBatchNo;

    @ApiModelProperty(value = "模式标识 0自动 1人工", required = true)
    @NotNull(message = "模式标识不能空")
    private Integer autoModel;
}
