package com.sw.mes.itemclean.clean.dto.auto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuzemin
 * @date 2022/11/16 10:15
 * @description
 */
@Data
public class IOTRequestUnpackingToBreakDto {

    @ApiModelProperty(value = "当前余料批次号", required = true)
    @NotNull(message = "批次号")
    private String currentProductBatchNo;

    @ApiModelProperty(value = "模式标识 0自动 1人工", required = true)
    @NotNull(message = "模式标识不能空")
    private Integer autoModel;

    @ApiModelProperty(value = "设备号", required = true)
    @NotNull(message = "设备号不能空")
    private String deviceNo;

    @ApiModelProperty(value = "分选后箱号(由余料批次号获取)", required = false)
    @NotNull(message = "载具号不能空")
    private String boxNo;

    @ApiModelProperty(value = "破碎上料位标识", required = true)
    private String brokenUpCode;

}
