package com.sw.mes.itemclean.clean.dto.auto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 分选拆箱
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Getter
@Setter
@ApiModel(value = "IOTResponseBrokenUpDto对象", description = "IOT获取破碎上料信息")
@Accessors(chain = true)
public class IOTResponseBrokenUpDto implements Serializable {

    @ApiModelProperty("上料重量")
    private BigDecimal weight;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("分选pp批次")
    private String fxProductBatchNo;

    @ApiModelProperty(value = "载具箱号")
    private String boxNo;

}
