package com.sw.mes.itemclean.clean.service.impl;

import com.sw.mes.itemclean.clean.domain.MaterialUnpackingDetail;
import com.sw.mes.itemclean.clean.mapper.MaterialUnpackingDetailMapper;
import com.sw.mes.itemclean.clean.service.MaterialUnpackingDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 分选拆箱明细行 服务实现类
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Service
public class MaterialUnpackingDetailServiceImpl extends ServiceImpl<MaterialUnpackingDetailMapper, MaterialUnpackingDetail> implements MaterialUnpackingDetailService {



    @Override
    public boolean insertUnpackingDetails(List<MaterialUnpackingDetail> materialUnpackingDetails) {
        return this.saveOrUpdateBatch(materialUnpackingDetails);
    }
}
