package com.sw.mes.fb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "方棒辅料更换记录Dto")
public class FbAccessoryOrderDto {

    private Long id;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @ApiModelProperty(value = "设备位置" )
     String deviceSeat;
     @ApiModelProperty(value = "换下时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date downDate;
     @ApiModelProperty(value = "换下人-当前更换人" )
     String downUser;
     @ApiModelProperty(value = "换下人id" )
     Integer downUserId;
     @ApiModelProperty(value = "换上时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date upDate;
     @ApiModelProperty(value = "换上人" )
     String upUser;
     @ApiModelProperty(value = "换上人id" )
     Integer upUserId;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "辅料类型前" )
     String materialTypeBefore;
     @ApiModelProperty(value = "料号前" )
     String materialCodeBefore;
     @ApiModelProperty(value = "辅料名称前" )
     String materialNameBefore;
     @ApiModelProperty(value = "唯一条码前" )
     String goodsCodeBefore;
     @ApiModelProperty(value = "额定寿命前" )
     Double userLifeBefore;
     @ApiModelProperty(value = "已使用寿命前" )
     Double useTimeBefore;
     @ApiModelProperty(value = "剩余寿命前" )
     Double remainLifeBefore;
     @ApiModelProperty(value = "规格前" )
     String specificationBefore;
     @ApiModelProperty(value = "辅料id前" )
     Long materialIdBefore;
     @ApiModelProperty(value = "辅料类型后" )
     String materialTypeAfter;
     @ApiModelProperty(value = "料号后" )
     String materialCodeAfter;
     @ApiModelProperty(value = "辅料名称后" )
     String materialNameAfter;
     @ApiModelProperty(value = "唯一条码后" )
     String goodsCodeAfter;
     @ApiModelProperty(value = "额定寿命后" )
     Double userLifeAfter;
     @ApiModelProperty(value = "已使用寿命后" )
     Double useTimeAfter;
     @ApiModelProperty(value = "剩余寿命后" )
     Double remainLifeAfter;
     @ApiModelProperty(value = "规格后" )
     String specificationAfter;
     @ApiModelProperty(value = "辅料id后" )
     Long materialIdAfter;
     @ApiModelProperty(value = "厂家前" )
     String factoryBefore;
     @ApiModelProperty(value = "厂家后" )
     String factoryAfter;
     @ApiModelProperty(value = "更换原因")
     String remark;
}