package com.sw.mes.fb.accessory.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/18 9:52
 * @description
 */
@Data
public class FbAccessoryReportParamDto {
    @ApiModelProperty(value = "标识符")
    String sign;
    @ApiModelProperty(value = "唯一码")
    String goodsCode;
    @ApiModelProperty(value = "物料号")
    String materialCode;
    @ApiModelProperty(value = "设备号")
    String deviceNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始换上时间")
    Date startUpDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束换上时间")
    Date endUpDate;
    @ApiModelProperty(value = "开始换下时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date startDownDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束换下时间")
    Date endDownDate;
}
