package com.sw.mes.fb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author liuzemin
 * @date 2022/7/6 11:19
 * @description
 */
@Data
public class NewAccessoryDto {
    @ApiModelProperty(value = "辅料监控id")
    Long id;

    @ApiModelProperty(value = "辅料模型id")
    Long materialId;

    @ApiModelProperty(value = "设备编号")
    String deviceNo;

    @ApiModelProperty(value = "设备位置")
    String deviceSeat;

    @ApiModelProperty(value = "辅料类型")
    String accessoryType;

    @ApiModelProperty(value = "料号")
    String materialCode;

    @ApiModelProperty(value = "名称")
    String materialName;

    @ApiModelProperty(value = "唯一码")
    String goodsCode;

    @ApiModelProperty(value = "额定寿命")
    Double useLife;

    @ApiModelProperty(value = "规格")
    String specification;

    @ApiModelProperty(value = "单位")
    String unitName;

    @ApiModelProperty(value = "厂家")
    String factory;

    @ApiModelProperty(value = "更换时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operateDate;

    @ApiModelProperty(value = "已使用寿命")
    Double useTime;

    @ApiModelProperty(value = "剩余寿命")
    Double remainLife;

    @ApiModelProperty(value = "是否预警")
    Boolean warning;

    @ApiModelProperty(value = "预警寿命")
    Double warnTime;

    @ApiModelProperty(value = "预警置红")
    Boolean yujing;

    @ApiModelProperty(value = "循环线量")
    Integer cycleCount;

    @ApiModelProperty(value = "单轴线量")
    Integer singleCount;

    @ApiModelProperty(value = "安全线量")
    Integer safeCount;
}
