package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方磨削机机任务触发Dto")
public class EapGrindingTaskDto {

    private Long id;
     @ApiModelProperty(value = "开方磨削机编号" )
     String equipNo;
     @ApiModelProperty(value = "设备类型" )
     String equipType;
     @ApiModelProperty(value = "触发信号（水流量低、断线、空线、停水、停气、停电、砂轮加工长度（4500mm）检测" )
     String triggerType;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}