package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方工时数据Dto")
public class EapOpenHoursDto {

    private Long id;
     @ApiModelProperty(value = "日期" )
     String date;
     @ApiModelProperty(value = "模块号" )
     String module;
     @ApiModelProperty(value = "开方机编号" )
     String equip;
     @ApiModelProperty(value = "主操编号" )
     String operator;
     @ApiModelProperty(value = "总工时（min）" )
     String totalHours;
     @ApiModelProperty(value = "切割工时" )
     String cutHour;
     @ApiModelProperty(value = "处理断线工时" )
     String lineBreakHour;
     @ApiModelProperty(value = "半径偏差报警时长" )
     String radiusALHour;
     @ApiModelProperty(value = "重复上下料报警时长" )
     String repeatALHour;
     @ApiModelProperty(value = "切方待料时长" )
     String waitCutHour;
     @ApiModelProperty(value = "线体堵料时长" )
     String lineBlockHour;
     @ApiModelProperty(value = "待AGV发料时长" )
     String waitAgvHour;
     @ApiModelProperty(value = "设备状态：\n" +
             "01开机：\n" +
             "02停机：其他工时均为0的情况下为停机\n" +
             "03待料\n" +
             "04故障\n" +
             "05维修\n" +
             "06保养\n" +
             "07点检" )
     String equipStatus;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}