package com.sw.mes.fb.aio.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.aio.dao.CutProcessRecordDao;
import com.sw.mes.fb.aio.entity.CutProcessRecord;
import com.sw.mes.fb.aio.service.CutProcessRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class CutProcessRecordServiceImpl extends BaseServiceImpl<CutProcessRecord> implements CutProcessRecordService {
    CutProcessRecordDao dao;

	@Autowired
    public void setDao(CutProcessRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<CutProcessRecord> findTopByCrystalNo(String crystalNo) {
        return dao.findTopByCrystalNo(crystalNo);
    }
}
