package com.sw.mes.fb.aio.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.aio.dao.EapEvolutionRecordDao;
import com.sw.mes.fb.aio.entity.EapEvolutionRecord;
import com.sw.mes.fb.aio.service.EapEvolutionRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class EapEvolutionRecordServiceImpl extends BaseServiceImpl<EapEvolutionRecord> implements EapEvolutionRecordService {
    EapEvolutionRecordDao dao;
	@Autowired
    public void setDao(EapEvolutionRecordDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public EapEvolutionRecord findTopBySnOrderByIdDesc(String sn) {
        return dao.findTopBySnOrderByIdDesc(sn);
    }
}
