package com.sw.mes.fb.aio.service.impl;


import com.sw.mes.config.rabbit.FbInspectDataBaseChangeAsync;
import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.fb.aio.dao.EapRetreatFeedbackDao;
import com.sw.mes.fb.aio.entity.EapRetreatFeedback;
import com.sw.mes.fb.aio.service.EapRetreatFeedbackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class EapRetreatFeedbackServiceImpl extends BaseServiceImpl<EapRetreatFeedback> implements EapRetreatFeedbackService {
    EapRetreatFeedbackDao dao;
	@Autowired
    public void setDao(EapRetreatFeedbackDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Autowired
    private FbInspectDataBaseChangeAsync fbInspectDataBaseChangeAsync;

    @Override
    public void saveOrUpdate(EapRetreatFeedback eapRetreatFeedback) {
        super.saveOrUpdate(eapRetreatFeedback);
        // SPC异步获取切方数据
        fbInspectDataBaseChangeAsync.sendData(eapRetreatFeedback);
    }


}
