package com.sw.mes.fb.checkout.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;

@Data
public class ImportGrade extends BaseRowModel {
    /**
     * 晶段编号、规格、产品等级、实验等级、最终产品等级、最终实验等级、方棒评级
     */
    /**
     * 编号(方棒)
     */
    @ExcelProperty(value = "晶段编号")
    String fbSectionNo;
    @ExcelProperty(value = "规格")
    String specification;
    @ExcelProperty(value = "产品等级")
    String productLevel;
    @ExcelProperty(value = "实验等级")
    String ybExperiLevel;
    @ExcelProperty(value = "最终产品等级")
    String ybLevel;
    @ExcelProperty(value = "最终实验等级")
    String experiLevel;
    @ExcelProperty(value = "方棒评级")
    String productLevelFb;
}
