package com.sw.mes.fb.quality.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "sapSectionfbMaterialNumberDto")
public class SapSectionfbMaterialNumberDto {

    private Integer id;
     @ApiModelProperty(value = "圆棒编号" )
     String sectionNoYb;
     @ApiModelProperty(value = "方棒编号" )
     String sectionNoFb;
     @ApiModelProperty(value = "SAP订单号" )
     String sapOrderNo;
     @ApiModelProperty(value = "SAP订单成品编码" )
     String sapProductNo;
     @ApiModelProperty(value = "旧料号" )
     String orgMaterialNumber;
     @ApiModelProperty(value = "新料号" )
     String newMaterialNumber;
     @ApiModelProperty(value = "" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
     @ApiModelProperty(value = "" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateDate;
     @ApiModelProperty(value = "类型 1 正常 2 记产单晶 3记产复检单晶" )
     Integer type;
     @ApiModelProperty(value = "单晶重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "旧单晶重量" )
     BigDecimal orgWeight;
     @ApiModelProperty(value = "四期单晶 代工/买卖" )
     String isBuy;
}
