package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒WMS退库接收Dto")
public class FbReturnReceiptDto {

    @ApiModelProperty(value = "料号")
    String productNo;
    @ApiModelProperty(value = "托号")
    String boxCode;
    @ApiModelProperty(value = "单晶编号列表")
    String crystalNo;
    @ApiModelProperty(value = "类型【1：正常，2：冲销】")
    String status;
    @ApiModelProperty(value = "出库单号")
    String define1;
    @ApiModelProperty(value = "操作人")
    String define2;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date define3;
    @ApiModelProperty(value = "备注")
    String define4;

    @ApiModelProperty(value = "客户")
    String customer;
}
