package com.sw.mes.fb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.ResponsePage;
import com.sw.mes.fb.turnstore.dto.ReturnDetailsOfSquareRodDto;
import com.sw.mes.fb.turnstore.entity.RawMaterialReceivingDetail;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface RawMaterialReceivingDetailService extends BaseService<RawMaterialReceivingDetail> {
    List<RawMaterialReceivingDetail> findByTrayNoAndState(String trayNo, int state);

    List<RawMaterialReceivingDetail> findBySectionNoAndState(String sectionNo, int state);

    ResponsePage<ReturnDetailsOfSquareRodDto> getListPageInfo(String search_EQ_crystalNo,String search_GTE_confirmTime,String search_LT_confirmTime,String search_EQ_quitType, String search_EQ_state, String search_GTE_time,
                                                              String search_LT_time,String search_EQ_outOrderNo, Pageable pageable);

    List<ReturnDetailsOfSquareRodDto> getListInfo(String search_EQ_crystalNo,String search_GTE_confirmTime,String search_EQ_quitType, String search_EQ_state, String search_GTE_time,
                                                  String search_LT_time,String search_EQ_outOrderNo,String search_LT_confirmTime);
}
