package com.sw.mes.agv.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "复投物料搭配退料DTO")
public class RechargeBackoffItemDto {

    @ApiModelProperty(value = "ID")
    private Integer id;

    @ApiModelProperty(value = "物料编码")
    private String goodsCode;

    @ApiModelProperty(value = "退料重量")
    private BigDecimal backoffWeight;

}
