package com.sw.mes.grade.dto;

import com.sw.mes.gread.dto.CalculationResultIfDto;
import com.sw.mes.gread.entity.GradeRule;
import lombok.Data;

import javax.persistence.Column;
import java.util.List;
import java.util.Map;

//
@Data
public class GradeResultDto {
    /**
     * 评级状态
     */
    Boolean gradeStatus;
    /**
     * 评级结果对象
     */
    GradeRule gradeRule;
    /**
     * 评级结果
     */
    String grade;
    /**
     * 评级类型id
     */
    Long gradeTypeId;
    List<CalculationResultIfDto> calculationResultIfDtos;
//    Map<String, String> resultMap;

    /**
     * 规格，如果评级是转规格则有该数据
     */
    String specifications;

    /**
     * 评级数据，反切数据
     */
    String gradeData;
}
