package com.sw.mes.inspect.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.inspect.entity.AutomaticInspectMiddle;
import org.springframework.data.jpa.repository.Query;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface AutomaticInspectMiddleDao extends BaseDao<AutomaticInspectMiddle, Long> {

    @Query(value = "SELECT * FROM `automatic_inspect_middle` WHERE crystal_no = ?1 ORDER BY id DESC LIMIT 1 ", nativeQuery = true)
    AutomaticInspectMiddle findByCrystalNo(String crystalNo);
}