package com.sw.mes.inspect.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.inspect.dao.YbInspectDataLogDao;
import com.sw.mes.inspect.entity.YbInspectDataLog;
import com.sw.mes.inspect.service.YbInspectDataLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Slf4j
@Service
@Transactional
public class YbInspectDataLogServiceImpl extends BaseServiceImpl<YbInspectDataLog> implements YbInspectDataLogService {
    YbInspectDataLogDao dao;

    @Autowired
    public void setDao(YbInspectDataLogDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public YbInspectDataLog findByInspectDataId(Long inspectDataId) {
        return dao.findByInspectDataId(inspectDataId);
    }
}
