package com.sw.mes.issue.dto;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒发料Dto")
public class YbIssueDto {

    private Long id;
     @ApiModelProperty(value = "托号" )
     String trayNo;
     @ApiModelProperty(value = "数量" )
     Integer num;
     @ApiModelProperty(value = "操作人" )
     String name;
     @ApiModelProperty(value = "操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "当前站点" )
     String currentSite;
     @ApiModelProperty(value = "下一站点" )
     String nextSite;
     @ApiModelProperty(value = "去向" )
     String destination;
     @ApiModelProperty(value = "状态:0, \"待出库\";1, \"取消\",2, \"待确认\",3, \"已确认\"" )
     Integer status;
     List<YbIssueDetialDto> detialDtoList;

}