package com.sw.mes.kanban.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "总产量Dto")
public class TotalProductionDto {


     @ApiModelProperty(value = "产量" )
     BigDecimal production;
     @ApiModelProperty(value = "类型：1毛棒，2圆棒，3方棒" )
     Integer type;
     @ApiModelProperty(value = "日期" )
     @JsonFormat(pattern = "yyyy-MM-dd")
     Date date;
     @ApiModelProperty(value = "开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTime;
     @ApiModelProperty(value = "结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTime;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createDate;
}