package com.sw.mes.outside.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "报警数据Dto")
public class AlarmDataDto {

    private Long id;
     @ApiModelProperty(value = "设备类型" )
     String deviceType;
     @ApiModelProperty(value = "设备名称" )
     String deviceNo;
     @ApiModelProperty(value = "事故描述" )
     String description;
     @ApiModelProperty(value = "报警code" )
     String code;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}