package com.sw.mes.sap.dao;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseDao;
import com.sw.mes.sap.dto.statistics.StatisticsDto;
import com.sw.mes.sap.dto.statistics.StatisticsLjDto;
import com.sw.mes.sap.entity.ReportArgonErrorLog;
import com.sw.mes.sap.entity.ReportSapGoodsmvt;
import org.springframework.data.jpa.repository.Query;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 氩气上报失败待处理记录Dao
 *
 * @author liru
 * @date 2024-01-06
 */
@Jinko(value = "氩气上报失败待处理记录Dao", author = "liru")
public interface ReportArgonErrorLogDao extends BaseDao<ReportArgonErrorLog, Long> {

}
