package com.sw.mes.sap.dto;

import lombok.Data;

/**
 * SAP库存数据对象 log_sap_stock
 * 
 * @author liru
 * @date 2024-03-04
 */
@Data
public class LogSapStockDto
{
    /** ID */
    private Long id;

    /** 工厂 */
    private String werks;
    /** 库存地点 */
    private String lgort;
    /** 物料号 */
    private String matnr;
    /** 特殊库标识 */
    private String sobkz;
    /** 销售订单号 */
    private String kdauf;
    /** 销售订单行项目 */
    private String kdpos;
    /** 供应商 */
    private String lifnr;
    /** 批次 */
    private String charg;
    /** 数量-非限制 */
    private String labst;
    /** 数量-质检 */
    private String insme;
    /** 数量-冻结 */
    private String speme;
    /** 单位 */
    private String meins;
    /** 边框类型 */
    private String t006;
    /** 贴膜焊带 */
    private String t107;
    /** EVA */
    private String t111;
    /** 边框短边有C */
    private String t119;
    /** 网格背板 */
    private String t025;
}
