package com.sw.mes.sap.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "拉取投料上报erp记录子表Dto")
public class ReportErpInputRecordDetailDto {

    private Long id;
     @ApiModelProperty(value = "主表id" )
     Long rid;
     @ApiModelProperty(value = "业务表id" )
     Long bid;
     @ApiModelProperty(value = "重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "批次号" )
     String batchNo;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "0未上报，1已上报" )
     Integer pushed;
     @ApiModelProperty(value = "0配料，1灌料" )
     Integer type;
     @ApiModelProperty(value = "物料料号" )
     private String materialCode;
     @ApiModelProperty(value = "发料料号" )
     private String lotNo;
}