package com.sw.mes.sap.dto.jip;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class JipOrderStateResult {

    @JsonIgnore
    public static Integer SUCCESS = 1;
    @JsonIgnore
    public static Integer ERROR = 0;

    private String message;
    private Integer code;

    public JipOrderStateResult(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public JipOrderStateResult() {

    }
}
