package com.sw.mes.sap.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.sap.dao.ReportErpSquareOutputRecordDetailDao;
import com.sw.mes.sap.entity.ReportErpSquareOutputRecordDetail;
import com.sw.mes.sap.service.ReportErpSquareOutputRecordDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ReportErpSquareOutputRecordDetailServiceImpl extends BaseServiceImpl<ReportErpSquareOutputRecordDetail> implements ReportErpSquareOutputRecordDetailService {
    ReportErpSquareOutputRecordDetailDao dao;
	@Autowired
    public void setDao(ReportErpSquareOutputRecordDetailDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<ReportErpSquareOutputRecordDetail> findByRid(Long id) {
        List<ReportErpSquareOutputRecordDetail> list = dao.findByRid(id);
        return list;
    }
}
