package com.sw.mes.sto.dao;

import java.util.List;
import com.sw.mes.sto.entity.LogStoMesInteractive;
import com.sw.mes.core.base.BaseDao;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import com.sw.mes.core.annotation.Jinko;


/**
 * 大基地直流STO调拨创建和冲销数据通信记录Dao接口
 *
 * @author liru
 * @date 2024-01-16
 */
@Jinko(value="大基地直流STO调拨创建和冲销数据通信记录Service接口",author = "liru")
public interface LogStoMesInteractiveDao extends BaseDao<LogStoMesInteractive, Long>
{

}
