/**   
 * @Title: SendSapWarehousingStatisticsInfoYbDto.java 
 * @Package com.sw.mes.webservice.dto 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author 中环 keily  
 * @date 2022年3月1日 下午4:10:20 
 * @version V1.0   
 */   
     
package com.sw.mes.webservice.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/** 
 * @ClassName: SendSapWarehousingStatisticsInfoYbDto 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author 中环 keily
 * @date 2022年3月1日 下午4:10:20 
 *  
 */
@Data
@ApiModel(value = "向sap发送的gr圆棒入库数据记录表")
public class SendSapWarehousingStatisticsInfoYbDto {

	private Integer id;
	@ApiModelProperty(value = "MES DATA Key ID Number")
	private String zmesid; 
	@ApiModelProperty(value = "订单号")
	private String orderNo;  
	@ApiModelProperty(value = "物料编码")
	private String materialCode; 
	@ApiModelProperty(value = "工厂编码")
	private String werks; 
	@ApiModelProperty(value = "理论重量")
	private BigDecimal theoryWeight; 
	@ApiModelProperty(value = "基本单位")
	private String meins; 
	@ApiModelProperty(value = "产品批次信息")
	private String charg; 
	@ApiModelProperty(value = "货物接收日期")
	private String grdate; 
	@ApiModelProperty(value = "货物接收时间")
	private String grtime; 
	@ApiModelProperty(value = "业务类型")
	private String bty; 
	@ApiModelProperty(value = "收货库存地点")
	private String lgort; 
	@ApiModelProperty(value = "批次特性1")
	private String batchval1; 
	@ApiModelProperty(value = "批次特性2")
	private String batchval2; 
	@ApiModelProperty(value = "批次特性3")
	private String batchval3; 
	@ApiModelProperty(value = "批次特性4")
	private String batchval4; 
	@ApiModelProperty(value = "批次特性5")
	private String batchval5; 
	@ApiModelProperty(value = "批次特性6")
	private String batchval6; 
	@ApiModelProperty(value = "批次特性7")
	private String batchval7; 
	@ApiModelProperty(value = "批次特性8")
	private String batchval8; 
	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime; 
	@ApiModelProperty(value = "状态（0：失败；1：成功）")
	private String status;  
	@ApiModelProperty(value = "晶段编号(短棒)")
	private String sectionNo;
	
}
