/**   
 * @Title: ProcessYieldService.java 
 * @Package com.sw.mes.webservice.service 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author 赵阔  
 * @date 2022年2月28日 上午10:25:38 
 * @version V1.0   
 */   
     
package com.sw.mes.webservice.service;

import java.util.Date;

/** 
 * @ClassName: ProcessYieldService 
 * @Description: 向sap传送工序【产量|工时】数据（包括：拉晶，截断，检验，方棒，方棒检验）
 * @author 中环 keily
 * @date 2022年2月28日 上午10:25:38 
 *  
 */
public interface ProcessYieldAndHourService {
	
	/**
	 * @Title: queryCrystalPullingData 
	 * @Description: 根据当前时间查询【拉晶】的数据
	 * @param @param date
	 * @param @return    设定文件 
	 * @return List<Map<String,Object>>    返回类型 
	 * @throws
	 */
	public void queryAndSendCrystalPullingData(Date date, String sapDate, String sapTime, String sapOrderDate)throws Exception ;
	
}
