/**   
 * @Title: SendYieldAndHourToSapService.java 
 * @Package com.sw.mes.webservice.service 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author 中环 keily  
 * @date 2022年2月28日 下午1:42:42 
 * @version V1.0   
 */   
     
package com.sw.mes.webservice.service;

import java.util.List;
import java.util.Map;

import com.sw.mes.webservice.entity.SendSapWarehousingStatisticsInfoYb;

/** 
 * @ClassName: SendYieldAndHourToSapService 
 * @Description: 调用sap接口，传送GR(圆棒入库量)数据
 * @author 中环 keily
 * @date 2022年2月28日 下午1:42:42 
 *  
 */
public interface SendGrToSapService {

	/**
	 * 
	 * @Title: mesToSap 
	 * @Description: 发送sap传送gr数据，保存日志，保存发送gr数据记录
	 * @param @param listInfo
	 * @param @param uri
	 * @param @param interfaceName
	 * @param @param timeOut
	 * @param @param sendRecordlist
	 * @param @return
	 * @param @throws Exception    设定文件 
	 * @return Map    返回类型 
	 * @throws
	 */
	public Map mesToSap(List listInfo, Integer timeOut, List<SendSapWarehousingStatisticsInfoYb> sendRecordlist) throws Exception ;
	
	/**
	 * 
	 * @Title: mesToSap 
	 * @Description: 发送sap传送gr数据，保存日志
	 * @param @param listInfo
	 * @param @param uri
	 * @param @param interfaceName
	 * @param @param timeOut
	 * @param @return
	 * @param @throws Exception    设定文件 
	 * @return Map    返回类型 
	 * @throws
	 */
	public Map mesToSap(List listInfo, Integer timeOut) throws Exception ;
}
