package com.sw.mes.wms.service;

import java.util.List;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.wms.entity.LogWmsMesInteractive;

/**
 * 晶科WMS下发数据通信记录Service接口
 *
 * @author liru
 * @date 2024-01-08
 */
@Jinko(value="晶科WMS下发数据通信记录Service接口",author = "liru")
public interface LogWmsMesInteractiveService extends BaseService<LogWmsMesInteractive>
{
    List<LogWmsMesInteractive> filterWMSToWarehouse(int page, int pageSize);

    List<LogWmsMesInteractive> findByControllerNameAndTimeRange(String controllerName, String createTimeStart, String createTimeEnd);
}
