package com.sw.mes.yb.accessory.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;

@Data
@ApiModel(value = "新增辅料监控dto")
public class EquipAccessCreateDto {

    @ApiModelProperty(value = "设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "热场条码")
    private String goodsCode;

    @ApiModelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty(value = "有效运行寿命")
    private Integer useTime;

    @ApiModelProperty(value = "辅料模型id")
    private Integer materialId;

    @ApiModelProperty(value = "数量")
    private Integer num;

    @ApiModelProperty(value = "刻码")
    private String engraving;

    @ApiModelProperty(value = "碳毡")
    private String carbonFelt;

    @ApiModelProperty(value = "辅料类型")
    private String accessoryType;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "更换时间")
    private String updateDate;

}
