package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author liuzemin
 * @date 2021/12/8 13:08
 * @description
 */
@Data
public class EquipmentAccessoryListByPageDto {
    Integer id; //热场监控id

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operateDate; //更改时间

    String operateUser; //更改人

    Integer operateUserId; //更改人id

    Double museLife; //使用寿命/额定寿命

    Double useTime; //有效运行时间

    Double usedTime; //已使用时间

    Double mwarnTime; //预警时间

    Integer mwarning; //是否预警 1是 0否

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date warningDate; //预警日期

    Integer equipmentId; //设备id

    Integer materialId; //料号id

    String unitName; //单位

    String goodsCode; //热场条码

    String deviceNo; //设备编号

    String factory; //厂家

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date applyDate; //申请时间

    String applyUser; //申请人

    Integer bind; //是否绑定  0解绑  1绑定

    Integer deleted; //是否删除 0否  1是

    Integer num; //数量

    Integer buttonStatus; //是否开启更换-对调按钮  1为开启  0为关闭

    Double threshold; //阈值  小于等于0标红  计算:使用寿命-预警时间-已使用时间  ps具体详见sql

    Integer status; //设备状态 1-抽真空 2-停炉

    String area; //区域

    String series; //系列

    String mcode; //料号

    String norms; //辅料规格

    String mType; //辅料类型

    String mname; //辅料名称

    BigDecimal munitPrice; //辅料单价

    BigDecimal attritionRate; //损耗率

    Double remainLife; //剩余寿命

    Integer applyButton; //是否开启申请按钮  1为开启  0为关闭

    String batchNo;

    /**
     * 刻码
     */
    String engraving;

    /**
     * 碳毡
     */
    String carbonFelt;

    /**
     * 辅料类型
     */
    String accessoryType;

    /**
     * 备注
     */
    String remark;

}
