package com.sw.mes.yb.accessory.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuzemin
 * @date 2022/5/11 8:53
 * @description
 */
@Data
public class ImportAccessory extends BaseRowModel {

    @ApiModelProperty(value = "设备编号")
    @ExcelProperty(value = "设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "唯一码")
    @ExcelProperty(value = "唯一码")
    private String goodsCode;

    @ApiModelProperty(value = "批次号")
    @ExcelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty(value = "有效运行时间")
    @ExcelProperty(value = "有效运行时间")
    private Integer useTime;

    @ApiModelProperty(value = "辅料模型编码")
    @ExcelProperty(value = "辅料模型编码")
    private String materialCode;

    @ApiModelProperty(value = "数量")
    @ExcelProperty(value = "数量")
    private Integer num;

    @ApiModelProperty(value = "类别")
    @ExcelProperty(value = "类别")
    private String accessoryType;

    @ApiModelProperty(value = "碳毡类")
    @ExcelProperty(value = "碳毡类")
    private String carbonFelt;

    @ApiModelProperty(value = "刻码")
    @ExcelProperty(value = "刻码")
    private String engraving;

    @ApiModelProperty(value = "更换时间")
    @ExcelProperty(value = "更换时间")
    private String updateDate;
}
