package com.sw.mes.yb.agv.dto;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *       绑定AGV任务DTO
 * @Author 李儒
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "AgvCancelDto")
public class AgvBuildDto {
	
	@ApiModelProperty(value = "请求编号(取消AGV任务专用)" )
    private String reqCode;
    @ApiModelProperty(value = "单晶编码（多个用|分割，依次从左至右）" )
    private String crystalNo;
    @ApiModelProperty(value = "载具编码" )
    private String frockCode;
    @ApiModelProperty(value = "单晶重量（多个用|分割，对应单晶编码）" )
    private String weight;
    @ApiModelProperty(value = "单晶长度（多个用|分割，对应单晶编码）" )
    private String length;
    
}