package com.sw.mes.yb.agv.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * AGV晶棒详情
 * @Author 李儒
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "AgvCrystalInfoDto")
public class AgvCrystalInfoDto {
	
	@ApiModelProperty(value = "单晶编号" )
    private String crystalNo;
    @ApiModelProperty(value = "重量" )
    private BigDecimal weight;
    @ApiModelProperty(value = "长度" )
    private BigDecimal length;
    @ApiModelProperty(value = "规格" )
    private String specs;
    
}