package com.sw.mes.yb.alloy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.math.BigDecimal;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "检验列表Dto")
public class InspectionListDto {

    private Integer id;
     @ApiModelProperty(value = "母合金id" )
     Integer alloyMasterAlloyId;
     @ApiModelProperty(value = "晶编号" )
     String crystalNumber;
     @ApiModelProperty(value = "加次" )
     String addTime;
     @ApiModelProperty(value = "头部电阻率" )
     BigDecimal headResistivity;
     @ApiModelProperty(value = "尾部电阻率" )
     BigDecimal tailResistivity;
     @ApiModelProperty(value = "头部寿命" )
     BigDecimal headLifeSpan;
     @ApiModelProperty(value = "尾部寿命" )
     BigDecimal tailLifeSpan;
}