package com.sw.mes.yb.alloy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "本棒电阻Dto")
public class ResistanceOfThisRodDto {

    private Integer id;
    @ApiModelProperty(value = "炉台号")
    String furnaceCode;
    @ApiModelProperty(value = "热场")
    String heatField;
    @ApiModelProperty(value = "加次")
    Integer addTime;
    @ApiModelProperty(value = "物料简称")
    String materialShortName;
    @ApiModelProperty(value = "本棒电阻")
    BigDecimal resistanceOfThisRod;
    @ApiModelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "修改人")
    private String updateUser;
    @ApiModelProperty(value = "修改时间")
    private Date updateDate;
}