package com.sw.mes.yb.alloy.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.alloy.dto.ResistanceOfThisRodImportDto;
import com.sw.mes.yb.alloy.entity.ResistanceOfThisRod;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ResistanceOfThisRodService extends BaseService<ResistanceOfThisRod> {
    List<ResistanceOfThisRod> findAllByResistanceOfThisRod(ResistanceOfThisRod resistanceOfThisRod);

    void importResistanceOfThisRod(List<ResistanceOfThisRodImportDto> resistanceOfThisRodImportDtoList);


    /**
     * 根据炉次号和加次查询本棒电阻信息
     */
    ResistanceOfThisRod findByFurnaceCodeAndAddTime(String lotNo, int addTime);
}
