package com.sw.mes.yb.check.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.check.entity.ZhxxOperatePieceCheck;

import java.util.List;

/**
* @author JS111801
* @description 针对表【zhxx_operate_piece_check(【圆棒生产域—检验数据】样片检验【新】)】的数据库操作Service
* @createDate 2023-11-01 09:48:55
*/
public interface ZhxxOperatePieceCheckService extends BaseService<ZhxxOperatePieceCheck> {


    List<ZhxxOperatePieceCheck> pullAllNewRecord ();

    List<ZhxxOperatePieceCheck> pullAllNewRecordGroupByPieceNo ();

    ZhxxOperatePieceCheck findByPieceNo(String pieceNo);

    void updateStateForPiece (Long id);

    void updateStateForPieceBatch (List<Long> ids);
}
