package com.sw.mes.yb.deviceCheck.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.deviceCheck.entity.DeviceCheck;
import org.springframework.data.jpa.repository.Query;

public interface DeviceCheckDAO extends BaseDao<DeviceCheck, Long> {

    @Query(value = "SELECT * FROM zhxx_operate_device_check WHERE device_no=?1 ORDER BY create_time DESC LIMIT 1 ", nativeQuery = true)
    DeviceCheck findByDeviceNoOrderByCreateTimeDescLimit1(String deviceNo);

}
