package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-19 19:30
 */
@Data
@ApiModel(value = "画线数据详情请求接口Dto")
public class PaintingLineInfoDetailDto {
    @ApiModelProperty(name ="晶段序号" )
    Integer sequence;
    @ApiModelProperty(name ="(0,头回收料),(1,尾回收料),(2,回收料),(3,样片),(4,头片),(5,头尾片),(6,尾片),(7,尾头片),(8,晶段)")
    Integer type;
    @ApiModelProperty(name ="晶段编号/样片编号" )
    String no;
    @ApiModelProperty(name ="晶段长度" )
    BigDecimal length;
//    @ApiModelProperty(name ="晶段重量" )
//    BigDecimal weight;
    @ApiModelProperty(name ="直径" )
    String diameter;
    @ApiModelProperty(name ="" )
    Integer isCut;
    @ApiModelProperty(name ="圆方棒标识 0圆棒  1是方棒" )
    Integer crystalType;
//    @ApiModelProperty(name ="是否拼棒 0否  1是" )
//    Integer isJoin;
    @ApiModelProperty(name ="段号" )
    Integer segmentNum;
    @ApiModelProperty(name ="样片类型" )
    Integer sampleType;
}
