package com.sw.mes.yb.fls.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * MES根据头寿命中心值，头电阻率中心值，尾碳中心值去匹配头尾料分类规则获取单晶信息、托位号、回收料名称请求Dto
 */
@Data
@ApiModel(value = "MES根据单晶编号获取单晶信息、托位号、回收料名称请求Dto")
public class SectionRequestDto {


    @ApiModelProperty(value = "晶段编号")
    String sectionNo;
    @ApiModelProperty(value = "线体号")
    String line;
    @ApiModelProperty(value = "线体区域编码")
    String regionCode;

}
