package com.sw.mes.yb.ipc.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "复投任务信息Dto")
public class AgainTaskInfoDto {
	
	@ApiModelProperty(value = "production_again_task.id" )
	private Long againTaskId;
	
	@ApiModelProperty(value = "复投类型" )
    private String rawType;
	
	@ApiModelProperty(value = "复投总重量" )
    private BigDecimal againWeigth;
	
	@ApiModelProperty(value = "复投总桶数" )
    private Integer againPailNum;
    
	@ApiModelProperty(value = "产品等级" )
    private Integer alreadyPailNum;
	
	@ApiModelProperty(value = "已呼叫" )
    private String pailNum;
	
	@ApiModelProperty(value = "石英坩埚" )
	private String crucible;
	
	@ApiModelProperty(value = "热场坩埚类型" )
	private String heatCrucible;
    
}
