package com.sw.mes.yb.ipc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "复投桶使用情况Dto")
public class BucketUseInfoDto {

    private Long id;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "模块" )
     String area;
     @ApiModelProperty(value = "总数量" )
     Integer totalNum;
     @ApiModelProperty(value = "使用数" )
     Integer useNum;
     @ApiModelProperty(value = "空闲数" )
     Integer idleNum;
     @ApiModelProperty(value = "记录时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}