package com.sw.mes.yb.ipc.dto;

import com.sw.mes.yb.production.entity.LongCrystal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ConfirmCrystalsDto {
    /**
     * 是否复投，0：取段结晶；1：取段稳温，不复投
     */
    @ApiModelProperty(value = "0：取段结晶；1：取段稳温")
    Integer outputMode;
    List<LongCrystal> longCrystals;
}
