package com.sw.mes.yb.ipc.dto;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author 李儒
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "工控机参数Dto")
public class IpcParam {
	@ApiModelProperty(value = "设备编号" )
	@NotBlank(message = "请传入设备编号")
	private String equimentCode;
	@ApiModelProperty(value = "系列" )
	private String series;
	@ApiModelProperty(value = "模块" )
	private String area;
}
