package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author liuzemin
 * @date 2023/2/6 13:30
 * @description
 */
@Data
@ApiModel(value = "圆棒托盘绑定信息返回")
public class CrystalTrayBindInfoResult {

    /**
     * 晶段编号
     */
    private String sectionNo;

    /**
     * 长度
     */
    private String length;

    /**
     * 产品类型?
     */
    private String productType;

    /**
     * 掺杂剂
     */
    private String dopant;

    /**
     * 导电型号?
     */
    private String conductiveType;

    /**
     * 规格?
     */
    private String type;


    /**
     * 晶段类型?
     */
    private Integer segmentType;


    /**
     * 是否反切 1：是、是去反切
     *         0：否
     */
    private Integer isReCut;

    /**
     * 是否免检?
     * 1：免去电阻率检测
     */
    private Integer isAvoidCheck;

}
