package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lf
 * @description
 * @date 2024/4/25 10:34
 */
@Data
@ApiModel(value = "圆棒面斜、隐裂检测数据上报MES")
public class HiddenCrackDetectionDto {
    @ApiModelProperty("单晶编号")
    private String sectionNo;
    @ApiModelProperty("单晶长度")
    private BigDecimal actualLength;
    @ApiModelProperty(value = "阴阳面孪晶距头位置")
    private Integer twinCrystalPosition;
    @ApiModelProperty(value = "阴阳面孪晶距头位置")
    private Integer twinCrystalLength;
    @ApiModelProperty(value = "带状孪晶距头位置")
    private Integer twinBandedPosition ;
    @ApiModelProperty(value = "带状孪晶距头位置")
    private Integer twinBandedLength;
    @ApiModelProperty(value = "隐裂距头位置")
    private Integer fissurePosition;
    @ApiModelProperty(value = "隐裂长度")
    private Integer fissureLength;
    @ApiModelProperty(value = "端面斜距头位置")
    private Integer obliquePosition;
    @ApiModelProperty(value = "端面斜长度")
    private Integer obliqueLength;
    @ApiModelProperty(value = "端面台阶距头位置")
    private Integer stepPosition;
    @ApiModelProperty(value = "端面台阶长度")
    private Integer stepLength;
    @ApiModelProperty(value = "棱线宽/分叉距头位置")
    private Integer crestPosition;
    @ApiModelProperty(value = "棱线宽/分叉长度")
    private Integer crestLength;
    @ApiModelProperty(value = "端面斜A")
    private Integer obliqueA;
    @ApiModelProperty(value = "端面斜B")
    private Integer obliqueB;

}
