package com.sw.mes.yb.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Version 1.0
 * @Author:zhaoyayun
 * @Date:2023/4/26 21:16
 * @Content:
 */
@Data
@ApiModel(value = "MesToMcs单晶设备绑定下发Dto")
public class PdaBingDto {

    @ApiModelProperty(value = "设备编号")
    private String cutNo;

    @ApiModelProperty(value = "晶段编号")
    private String sectionNo;

    @ApiModelProperty(value = "绑定人")
    private String bingUser;

    @ApiModelProperty(value = "规格")
    private String productType;

    @ApiModelProperty(value = "标棒类型 标棒：TYPE_S，非标：TYPE_N，反切：TYPE_R")
    private String type;

    @ApiModelProperty(value = "头朝向 0：默认北 1：南 ")
    private String tail;

    @ApiModelProperty(value = "pn型")
    private String pn;

    @ApiModelProperty(value = "去向：1：直发；2：入库；3：检验；4：反切")
    private String hasGone;

    @ApiModelProperty(value = "去向：1：直发；0 人工检测上线体")
    private String isAvoidCheck;

    @ApiModelProperty(value = "晶段划线（理论）长度")
    private BigDecimal theoryLength;

}
