package com.sw.mes.yb.mcs.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "月计划，计划工单关联Dto")
public class SegmentBindInfoFbDto {

    private Integer id;
     @ApiModelProperty(value = "单晶编号(短棒)" )
     String segmentNo;
     @ApiModelProperty(value = "截断机编号" )
     String deviceNo;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "创建者姓名" )
     String createUserName;
}