package	com.sw.mes.yb.mcs.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.mcs.entity.RecycledMaterialCase;
import com.sw.mes.yb.mcs.dao.RecycledMaterialCaseDao;
import com.sw.mes.yb.mcs.service.RecycledMaterialCaseService;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class RecycledMaterialCaseServiceImpl extends BaseServiceImpl<RecycledMaterialCase> implements RecycledMaterialCaseService {
    RecycledMaterialCaseDao dao;
	@Autowired
    public void setDao(RecycledMaterialCaseDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<RecycledMaterialCase> findByCaseNo(String caseNo) {
        return dao.findByCaseNo(caseNo);
    }
}
