package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("晶段序号信息")
@Data
public class SegmentIndex {
    /**
     * 最大反切段序号
     */
    @ApiModelProperty("最大反切段序号")
    Integer retCutSegmentNum;

    /**
     * 最大头样片序号
     */
    @ApiModelProperty("最大头样片序号")
    Integer headPieceNum;

    /**
     * 最大尾部样片序号
     */
    @ApiModelProperty("最大尾部样片序号")
    Integer tailPieceNum;

    /**
     * 最大回收料段序号
     */
    @ApiModelProperty("最大回收料段序号")
    Integer materialNum;
}
