package com.sw.mes.yb.pad.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.pad.dao.ProductionPaintingLineDetailDao;
import com.sw.mes.yb.pad.dao.ProductionPaintingLineDetailExceptionDao;
import com.sw.mes.yb.pad.entity.ProductionPaintingLineDetail;
import com.sw.mes.yb.pad.entity.ProductionPaintingLineDetailException;
import com.sw.mes.yb.pad.service.ProductionPaintingLineDetailExceptionService;
import com.sw.mes.yb.pad.service.ProductionPaintingLineDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ProductionPaintingLineDetailExceptionServiceImpl extends BaseServiceImpl<ProductionPaintingLineDetailException> implements ProductionPaintingLineDetailExceptionService {
    ProductionPaintingLineDetailExceptionDao dao;
	@Autowired
    public void setDao(ProductionPaintingLineDetailExceptionDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }


    @Override
    public List<ProductionPaintingLineDetailException> findBySegmentNo(String segmentNo) {
        return dao.findBySegmentNo(segmentNo);
    }

    @Override
    public Integer deleteBySegmentNo(List<String> segmentNos) {
        return dao.deleteBySegmentNo(segmentNos);
    }
}
