package com.sw.mes.yb.pc.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.pc.entity.PickingInfo;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface PickingInfoDAO extends BaseDao<PickingInfo, Long> {

    @Query(value = "SELECT * FROM zhxx_operate_picking_info WHERE device_no=?1 ORDER BY create_date DESC limit 1 ", nativeQuery = true)
    PickingInfo findByDeviceNo(String deviceNo);

    List<PickingInfo> findByLotNo(String lotNo);
}
