package com.sw.mes.yb.pc.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.pc.entity.QualityPrintBar;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface QualityPrintBarDAO extends BaseDao<QualityPrintBar, Integer> {
    @Query(value="SELECT * FROM zhxx_quality_print_bar WHERE FIND_IN_SET(section_no,?1)",nativeQuery = true)
    List<QualityPrintBar> getInfoBatchBar(String sectionNos);

    @Query(value="SELECT * FROM zhxx_quality_print_bar WHERE section_no IN (?1)",nativeQuery = true)
    List<QualityPrintBar> getInfoBatchBarNew(List<String> sectionNos);
}
