package com.sw.mes.yb.pc.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒拼棒Dto")
public class SectionDto {

     @ApiModelProperty(value = "id" )@ExcelProperty(value = "id")
     private Long id;
     @ApiModelProperty(value = "拼棒SN" )@ExcelProperty(value = "拼棒SN")
     String sectionNo;
     @ApiModelProperty(value = "单晶圆棒编号组" )@ExcelProperty(value = "单晶圆棒编号组")
     String sectionNoGroup;
     @ApiModelProperty(value = "圆棒产品等级" )@ExcelProperty(value = "圆棒产品等级")
     String productRank;
     @ApiModelProperty(value = "圆棒实验等级" )@ExcelProperty(value = "圆棒实验等级")
     String productRankExperiment;
     @ApiModelProperty(value = "规格" )@ExcelProperty(value = "圆棒产品规格")
     String specs;
     @ApiModelProperty(value = "重量" )@ExcelProperty(value = "重量")
     BigDecimal actualWeight;
     @ApiModelProperty(value = "理论重量" )@ExcelProperty(value = "理论重量")
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "导电型号" )@ExcelProperty(value = "导电型号")
     String conductiveType;
     @ApiModelProperty(value = "拼数" )@ExcelProperty(value = "拼数")
     Integer stickCount;
     @ApiModelProperty(value = "晶段长度" )@ExcelProperty(value = "晶段长度")
     BigDecimal totalLength;
     @ApiModelProperty(value = "晶段长度组" )@ExcelProperty(value = "晶段长度组")
     String lengthGroup;
     @ApiModelProperty(value = "绑定人" )@ExcelProperty(value = "绑定人")
     String recordUser;
     @ApiModelProperty(value = "绑定时间" )@ExcelProperty(value = "绑定时间")
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operateTime;
     @ApiModelProperty(value = "解绑人" )@ExcelProperty(value = "解绑人")
     String unbundlingUserName;
     @ApiModelProperty(value = "解绑时间" )@ExcelProperty(value = "解绑时间")
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date unbundlingTime;
     @ApiModelProperty(value = "解绑原因" )@ExcelProperty(value = "解绑原因")
     String relieveReason;
     @ApiModelProperty(value = "状态 0未解绑 1已解绑" )@ExcelProperty(value = "状态 0未解绑 1已解绑")
     Integer state;

}