package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pc.dto.CrucibleCheckDataDto;
import com.sw.mes.yb.pc.entity.CrucibleCheckData;
import org.springframework.data.jpa.domain.Specification;

import javax.validation.Valid;
import java.util.List;

public interface CrucibleCheckDataService extends BaseService<CrucibleCheckData> {

    List<CrucibleCheckData> findByExample(Specification<CrucibleCheckData> specification, RequestPage page);

    void saveOrUpdate(@Valid CrucibleCheckDataDto crucibleCheckDataDto) throws RuntimeException;

    CrucibleCheckData getByCode(String code);

    /**
     * 更改坩埚编号 炉次号
     * @param code
     * @param lotNo
     * @return
     */
    void updateLotNo(String code, String lotNo);
}
