package com.sw.mes.yb.pc.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.pc.dao.SectionRankDAO;
import com.sw.mes.yb.pc.entity.SectionRank;
import com.sw.mes.yb.pc.service.SectionRankService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class SectionRankServiceImpl extends BaseServiceImpl<SectionRank> implements SectionRankService {

    SectionRankDAO dao;

    @Autowired
    public void setDao(SectionRankDAO dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public void saveAll(List<SectionRank> ranks) {
        dao.saveAll(ranks);
    }

}
