package com.sw.mes.yb.plan.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒拼棒Dto")
public class PlanWaterLineManageDto {

    private Long id;
     @ApiModelProperty(value = "水位线名称" )
     String waterLineName;
     @ApiModelProperty(value = "缓存数量" )
     Integer cacheNum;
//     @ApiModelProperty(value = "类型" )
//     String strategy;
     @ApiModelProperty(value = "用户id" )
     Integer userId;
     @ApiModelProperty(value = "用户名称" )
     String userName;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "修改用户名称" )
     String updateUserName;
     @ApiModelProperty(value = "修改时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}