package com.sw.mes.yb.printer.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-21 09:40
 */
@ApiModel(value = "合格证标签Dto")
@Data
@NumberHandler
public class CertificateLabelDto {
    @ApiModelProperty(value = "产品等级(产品等级)")
    String productLevel;
    @ApiModelProperty(value = "规格/实际规格")
    String productTypeSecond;
    @ApiModelProperty(value = "圆棒长度")
    String actualLength;
    @ApiModelProperty(value = "直径Min-Max")
    String diameterMinMax;
    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "实验等级（合同类别）")
    String productLevelExperiment;
    @ApiModelProperty(value = "圆棒备注（异常备注）")
    String remark;
    @ApiModelProperty(value = "W中心寿命（寿命）")
    String wCentreLife;
    @ApiModelProperty(value = "头尾边缘平均")
    String twRadialEdgeAvg;
    @ApiModelProperty(value = "评级时间" )
    String levelTime;

}
