package com.sw.mes.yb.printer.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-21 11:45
 */
@ApiModel(value = "方棒反切标签Dto")
@Data
@NumberHandler
public class FbReCuttingLabelDto {
    @ApiModelProperty(value = "产品最终评级")
    String ybLevel;
    @ApiModelProperty(value = "第几共几")
    String remark;
    @ApiModelProperty(value = "方棒长度")
    String length;
    @ApiModelProperty(value = "编号(方棒)")
    String fbSectionNo;
    @ApiModelProperty(value = "编号(方棒)反切后")
    String fbNo;
    @ApiModelProperty(value = "方棒规格")
    String specification;
    @ApiModelProperty(value = "标棒、非标棒、回收料")
    String type;
    @ApiModelProperty(value = "边皮打码标识")
    String codeMark;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "边长")
    String multipleSideLogic;
    @ApiModelProperty(value = "划线时间")
    String endTime;

}
