package com.sw.mes.yb.production.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.production.entity.ProductionResistivity;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProductionResistivityDao extends BaseDao<ProductionResistivity, Long> {

    List<ProductionResistivity> findByEquipmentCode(String equipmentCode);

    List<ProductionResistivity> findByEquipmentCodeAndAgainNum(String equipmentCode, String againNum);

}
