package com.sw.mes.yb.production.dto;

import com.sw.mes.yb.production.dto.ProductionBucketRecipeRecordDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author xushu
 * @date
 */
@Data
@ApiModel(value = "每桶配料详情")
public class AgainTaskRecipeDto {

    @ApiModelProperty(value = "一桶重量" )
    Integer weight;
    @ApiModelProperty(value = "剩余重量" )
    Integer sWeight;
    @ApiModelProperty(value = "物料分配明细" )
    List<ProductionBucketRecipeRecordDto> productionBucketRecipeRecordDtos;
}