package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "批次单晶信息Dto")
public class CrystalBatchInfoDto {

     @ApiModelProperty(value = "单晶编号" )
     String sectionNo;
     @ApiModelProperty(value = "母棒编号" )
     String crystalNo;
     @ApiModelProperty(value = "当前位置" )
     String position;
     @ApiModelProperty(value = "状态[0: 默认,锁定;1: 已解锁 ]" )
     Integer status;
     @ApiModelProperty(value = "工单号" )
     String orderNo;
     @ApiModelProperty(value = "物料号" )
     String materialCode;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "产品简称" )
     String abbreviation;
     @ApiModelProperty(value = "等级码" )
     String levelCode;
     @ApiModelProperty(value = "型号" )
     String conductiveType;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "产品等级" )
     String productLevel;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "配方名称" )
     String recipeName;
    @ApiModelProperty(value = "在制状态（0：待进站；1：已经站；2：已出站）" )
    Integer siteStatus;
}