package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author lf
 * @description
 * @date 2024/2/23 13:59
 */
@Data
@ApiModel(value = "DocketIngredientListPrintDto对象", description = "配料单")
public class DocketIngredientListPrintDto implements Serializable {
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "id")
    Long id;
    @ApiModelProperty(value = "0配料1灌料")
    Integer ingredientOrFillingMaterial;
    @ApiModelProperty(value = "料桶(1:左桶,2:右桶,3:全部)")
    Integer bucket;
}
