package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: xushu
 * @Date: 2022/08/17/16:20
 * @Description:
 */
@Data
@ApiModel(value = "打印回收料管理信息Dto")
public class DocketPrintRecycledMaterialDto {
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "回收料信息")
    RecycledMaterialModelDto dto;

}
