package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "工控机操作记录Dto")
public class EquipmentClickLogDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "所属系列" )
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "操作名称" )
     String buttonName;
     @ApiModelProperty(value = "操作时参数" )
     String clickParam;
     @ApiModelProperty(value = "操作结果" )
     String context;
     @ApiModelProperty(value = "操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date clickTime;
     @ApiModelProperty(value = "复投确认人员" )
     String userName;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "班组" )
     String teamGroup;
     @ApiModelProperty(value = "炉次号")
 	 String lotNo;
}