package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "修改长晶棒编号Dto")
public class LongCrystalInfoDto {
    private Long id;
    @ApiModelProperty(value = "收尾方式")
    String windUp;
    @ApiModelProperty(value = "完结标识")
    String closureIdentification;
    @ApiModelProperty(value = "复投次数")
    Integer againNum;
    @ApiModelProperty(value = "单晶颗数")
    Integer crystalNum;
    @ApiModelProperty(value = "产品类别")
    String productType;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "晶体长度")
    BigDecimal length;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "订单id")
    Long orderId;

}
