package com.sw.mes.yb.production.dto;

import com.sw.mes.core.annotation.Jinko;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Jinko(value = "灌料部分退料", author = "wxl")
@Data
@ApiModel(value = "部分退料")
public class PartReturnMaterialDto {

    @ApiModelProperty(value = "退料明细")
    private List<ProductionMaterialReturnRecordDto> list;

    @ApiModelProperty(value = "退料原因")
    private String reason;
}
