package com.sw.mes.yb.production.dto;

import com.sw.mes.core.annotation.NumberHandler;
import com.sw.mes.yb.pad.dto.DrawLineDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: xushu
 * @Date: 2022/11/27/10:28
 * @Description:
 */
@ApiModel
@Data
@NumberHandler
public class PrintPaintLabelDto {
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "长晶棒划线信息")
    DrawLineDto dto;

}
