package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lf
 * @description
 * @date 2024/1/12 11:17
 */
@Data
@ApiModel(value = "生产异常Dto")
public class ProductionAbnormalDto {
    private Integer id;
    @ApiModelProperty("设备id")
    private Integer equipmentId;
    @ApiModelProperty("设备号")
    private String equipmentCode;
    @ApiModelProperty("剩余重量")
    private Integer surplusWeight;
    @ApiModelProperty("异常级别")
    private String exceptionLevel;
    @ApiModelProperty("异常类型")
    private String exceptionType;
    @ApiModelProperty("原因分类")
    private String reasonClassification;
    @ApiModelProperty("运行时间")
    private String runTime;
    @ApiModelProperty("所属车间")
    private String equipmentSeries;
    @ApiModelProperty("所属片区")
    private String equipmentArea;
    @ApiModelProperty("操作人")
    private String operateUser;
    @ApiModelProperty("操作时间")
    private Date operateDate;
    @ApiModelProperty("发生时间")
    private Date occurDate;
    @ApiModelProperty("发生班次")
    private String occurClass;
    @ApiModelProperty("发生班组")
    private String occurClassGroup;
    @ApiModelProperty("状态（0待确认，1已确认，默认0）")
    private Integer status;
    @ApiModelProperty("原因分析")
    private String reasonAnalysis;
    @ApiModelProperty("措施")
    private String measure;
    @ApiModelProperty("分析报告")
    private String analysisReport;
    @ApiModelProperty("是否误报（0是1否）")
    private Integer isFalseAlarm;
    @ApiModelProperty("处理人")
    private String processingUser;
    @ApiModelProperty("处理时间")
    private Date processingDate;
}
