package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒生产配料列表Dto")
public class ProductionCircleRecipeDto {

    private Integer id;
     @ApiModelProperty(value = "配方名称" , required = true)
     String recipeName;
     @ApiModelProperty(value = "版本号" )
     Integer version;
     @ApiModelProperty(value = "配方编码" )
     String recipeCode;
     @ApiModelProperty(value = "用户id" )
     Integer userId;
     @ApiModelProperty(value = "用户名称" )
     String userName;
     @ApiModelProperty(value = "状态(1启用，0：未启用)" )
     Integer status;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
}