package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "单晶回收料信息Dto")
public class ProductionRecycledMaterialDto {

    private Long id;
     @ApiModelProperty(value = "班组" )
     String classGroup;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "单晶编号" )
     String sn;
     @ApiModelProperty(value = "回收料类型" )
     String recycledType;
     @ApiModelProperty(value = "单晶长度" )
     BigDecimal length;
     @ApiModelProperty(value = "单晶重量" )
     BigDecimal weight;
     @ApiModelProperty(value = "创建人" )
     String createBy;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "更新人" )
     String updateUser;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}