package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "productionResistivityDto")
public class ProductionResistivityDto extends BaseRowModel {
    @ExcelIgnore
    private Long id;
    @ApiModelProperty(value = "模块")
    @ExcelProperty(value = "模块")
    String module;
    @ApiModelProperty(value = "系列")
    @ExcelProperty(value = "系列")
    String series;
    @ApiModelProperty(value = "设备号")
    @ExcelProperty(value = "设备号")
    String equipmentCode;
    @ApiModelProperty(value = "复投次数")
    @ExcelProperty(value = "复投次数")
    String againNum;
    @ApiModelProperty(value = "目标电阻率")
    @ExcelProperty(value = "目标电阻率")
    String targetResistivity;
    @ApiModelProperty(value = "小头电阻率")
    @ExcelProperty(value = "小头电阻率")
    String lastTargetResistivity;
}
