package com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.ProcessNoDiameter;
import com.sw.mes.yb.production.dao.ProcessNoDiameterDao;
import com.sw.mes.yb.production.service.ProcessNoDiameterService;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class ProcessNoDiameterServiceImpl extends BaseServiceImpl<ProcessNoDiameter> implements ProcessNoDiameterService {
    ProcessNoDiameterDao dao;

    @Autowired
    public void setDao(ProcessNoDiameterDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<ProcessNoDiameter> findByStepName(String stepName) {
        return dao.findByStepName(stepName);
    }
}
