package com.sw.mes.yb.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author wanghao
 * @Date: 2022/7/13
 * @Modified By:
 */
@Data
@ApiModel(value = "推送EMS生产信息数据集dto")
public class EmsPushListDataDto {
    @ApiModelProperty(value = "数量值" )
    BigDecimal inputData;
    /**
     * 投料量:feeding_quantity
     * 圆棒过检量:Round_bar_inspection_quantity
     * 方棒过检量:square_bar_inspection_quantity
     * 设备开机数量:device_open_flag
     * 设备待机数量:device_standby_flag
     */
    @ApiModelProperty(value = "推送类型" )
    String inputType;
    @ApiModelProperty(value = "模块或者位置id" )
    String locationId;
    @ApiModelProperty(value = "厂别" )
    String topParentId;
    @ApiModelProperty(value = "数据日期yyyy-MM-dd")
    String usedDate;

}
