package com.sw.mes.yb.report.dto;

import java.util.Date;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "EquipmentMonitorDto")
public class EquipmentMonitorDto {
	@ApiModelProperty(value = "总炉台数")
	private Long totalNum;
	
	@ApiModelProperty(value = "实际开炉")
	private Long startUpNum;
	@ApiModelProperty(value = "差异")
	private Long difference;
	@ApiModelProperty(value = "开机率")
	private String startupRate;
	@ApiModelProperty(value = "统计时间")
	private Date currntDate;
	@ApiModelProperty(value = "数据")
	private List<Map<String,Object>> rptData;

}
