package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "月计划，计划工单关联Dto")
public class WipStorageReportDto {

    private Integer id;
     @ApiModelProperty(value = "晶棒编号" )
     String sectionNo;
     @ApiModelProperty(value = "长度" )
     BigDecimal length;
     @ApiModelProperty(value = "等级" )
     String level;
     @ApiModelProperty(value = "尺寸" )
     String size;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "物料类型" )
     String materialType;
     @ApiModelProperty(value = "物料状态" )
     String materialState;
     @ApiModelProperty(value = "操作人" )
     String username;
     @ApiModelProperty(value = "盘点时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "盘点区位" )
     String processes;
     @ApiModelProperty(value = "站点及状态" )
     String siteAndStatus;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date CreateTime;
}