package com.sw.mes.yb.report.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.report.entity.BrokenBractBase;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface BrokenBractBaseService extends BaseService<BrokenBractBase> {

    /**
     * 人工校验复投次数后更新断苞基础表复投次数数据
     * @param deviceNo 炉台号
     * @param dateTime 晶棒产出时间
     * @param repeatedInfo 复投次数
     * @return
     */
    int updateRepeatedInfo(String deviceNo, Date dateTime, String repeatedInfo);

    List<BrokenBractBase> findByLineBreakType();

    Integer findByLotNoAndAddTime(String lotNo, Integer addTime);

}
