package com.sw.mes.yb.seed.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.seed.entity.SeedGroupBracket;
import com.sw.mes.yb.seed.utils.SeedCodeGenerator;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface SeedGroupBracketDao extends BaseDao<SeedGroupBracket,Long> {
    @Query(value = "select * from seed_group_bracket where code = ?1",nativeQuery = true)
    SeedGroupBracket findCode(String code);
    @Query(value = "select * from seed_group_bracket where input_bill_code = ?1",nativeQuery = true)
    SeedGroupBracket findBillCode(String billCode);
    @Query(value = "select * from seed_group_bracket where id in (?1)",nativeQuery = true)
    List<SeedGroupBracket> findByIds(List<Long> ids);
}
