package com.sw.mes.yb.seed.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.seed.entity.SeedPaintingLine;
import org.springframework.data.jpa.repository.Query;

public interface SeedPaintingLineDao extends BaseDao<SeedPaintingLine, Long> {
    @Query(value = "select * from seed_painting_line where rule_name = ?1 order by id desc limit 1", nativeQuery = true)
    SeedPaintingLine findByRuleName(String ruleName);
}
