package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "周转库出库申请Dto")
public class TurnstoreOutDto {

    private Integer id;
     @ApiModelProperty(value = "出库类型（退料到圆棒、出库到方棒、出库到综计）" )
     String type;
     @ApiModelProperty(value = "出库申请单状态(待出库、已出库、退回)" )
     String state;
     @ApiModelProperty(value = "出库申请单号" )
     String orderNo;
     @ApiModelProperty(value = "出库申请人" )
     String user;
     @ApiModelProperty(value = "确认人" )
     String confirmUser;
     @ApiModelProperty(value = "出库申请时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "单晶总数" )
     Integer count;
     @ApiModelProperty(value = "出库申请日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date date;
     @ApiModelProperty(value = "出库申请顺序" )
     Integer sort;
     @ApiModelProperty(value = "备注" )
     String remark;
    @ApiModelProperty(value = "去向" )
    String hasGone;
}
