package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒WMS入库接收Dto")
public class WmsToYbReceiveDto {

    @ApiModelProperty(value = "托号")
    String boxCode;
    @ApiModelProperty(value = "拒收原因")
    String rejectionReason;
    @ApiModelProperty(value = "拒收人")
    String rejectionUser;
    @ApiModelProperty(value = "拒收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date rejectionDate;
    @ApiModelProperty(value = "类型【1：成功，2：拒收，3:冲销】")
    Integer type;
}