package com.sw.mes.yb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒WMS入库数据Dto")
public class YbToWmsReceiptDataDto {

    @ApiModelProperty(value = "序号")
    Integer number;
    @ApiModelProperty(value = "设备号")
    String serialNumber;
    @ApiModelProperty(value = "晶段编号(短棒)sectionNo")
    String crystalNo;
    @ApiModelProperty(value = "单晶组合sectionCompose")
    String crystalGroup;
    @ApiModelProperty(value = "导电型号conductiveType")
    String model;
    @ApiModelProperty(value = "规格productTypeSecond")
    String norms;
    @ApiModelProperty(value = "入库长度wareHouseLength")
    BigDecimal storageLength;
    @ApiModelProperty(value = "理论重量theoryWeight")
    BigDecimal theoreticalWeight;
    @ApiModelProperty(value = "圆棒长度(mm)actualLength")
    BigDecimal crystalLength;
    @ApiModelProperty(value = "实际称重")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "细减长(mm)fineCutLength")
    BigDecimal fineLengthReduction;
    @ApiModelProperty(value = "崩晶线collapseLine")
    BigDecimal avalancheLine;
    @ApiModelProperty(value = "工厂")
    String factory;
    @ApiModelProperty(value = "库存地点stockPlace")
    String lgort;
    @ApiModelProperty(value = "圆棒备注")
    String remark;
    @ApiModelProperty(value = "客户类别")
    String customerType;
    @ApiModelProperty(value = "订单号orderNo")
    String orderNum;
    @ApiModelProperty(value = "崩边长度edgeBark")
    BigDecimal brokenEdgeSkin;
    @ApiModelProperty(value = "isBevel斜【0：默认，否；1：是；】", required = true)
    Integer oblique;
    @ApiModelProperty(value = "细fineDiameter")
    BigDecimal fineTotalLength;
    @ApiModelProperty(value = "扭distortion")
    BigDecimal torsion;
    @ApiModelProperty(value = "棒寿命分档lifeGrading")
    String rodLifeClass;
    @ApiModelProperty(value = "托盘编号trayNo")
    String boxCode;
    @ApiModelProperty(value = "料号--itemNo")
    String productNo;
    @ApiModelProperty(value = "异常errorMsg")
    String exceptions;
}