package com.sw.mes.yb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.UUID;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒WMS入库接收Dto")
public class YbToWmsReceiptDto  {

    @ApiModelProperty(value = "调用接口唯一标识字符串（每次调用永不重复）")
    String BSKEY= String.valueOf(UUID.randomUUID());
    @ApiModelProperty(value = "外围系统编号或名称")
    String SYSID = "YC6MES";
    @ApiModelProperty(value = "接口ID")
    String IFYWID = "MES007";
    @ApiModelProperty(value = "业务数据")
    String ZDATA;
}