package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.turnstore.dto.YbReturnReceiptDto;
import com.sw.mes.yb.turnstore.entity.RecheckInspectReceiveDetail;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface RecheckInspectReceiveDetailService extends BaseService<RecheckInspectReceiveDetail> {
    /**
     * 正常退库
     * @param receiptDto
     * @param crystalNoList
     * @return
     */
    Result normal(YbReturnReceiptDto receiptDto, String[] crystalNoList);

    /**
     * 冲销退库
     * @param crystalNoList
     * @return
     */
    Result<String> writeOff( String[] crystalNoList);

    /**
     * 根据晶段编号查询
     *
     * @param crystalNo
     * @return
     */
    RecheckInspectReceiveDetail findByCrystalNo(String crystalNo);
}
