package com.sw.mes.yb.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-03-08 16:31
 */
@Data
@ApiModel(value = "圆棒评级结果下发WMSDto")
public class RatingResultDto {
    @ApiModelProperty(value = "圆棒SN")
    String sectionNo;
    @ApiModelProperty(value = "圆棒SN")
    String roundSn;
    @ApiModelProperty(value = "产品等级")
    String  productLevel;
    @ApiModelProperty(value = "实验产品等级")
    String productLevelExperiment;
    @ApiModelProperty(value = "晶棒属性")
    String  data;
    @ApiModelProperty(value = "托盘编号")
    String trayCode;
    @ApiModelProperty(value = "类型")
    String sectionType;
    @ApiModelProperty(value = "规格，223,295")
    String productType;
    @ApiModelProperty(value = "入库长度")
    BigDecimal wareHouseLength;
    @ApiModelProperty(value = "圆棒长度")
    BigDecimal actualLength;
    @ApiModelProperty(value = "拼棒总长")
    BigDecimal spellBarLength;
    @ApiModelProperty(value = "称重")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "直径MIN")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "直径MAX")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "直径判定")
    String diameterJudge;
    @ApiModelProperty(value = "扭")
    BigDecimal distortion;
    @ApiModelProperty(value = "斜")
    String isBevel;
    @ApiModelProperty(value = "PN型")
    String conductiveType;
    @ApiModelProperty(value = "细总长")
    BigDecimal fineDiameter;
    @ApiModelProperty(value = "细减长")
    BigDecimal fineCutLength;
    @ApiModelProperty(value = "方棒订单编号")
    String orderNo;
    @ApiModelProperty(value = "理论重量（拼棒为理论重量总和）")
    BigDecimal theoryWeight;
    @ApiModelProperty(value = "段号")
    Integer piecewiseNum;
    @ApiModelProperty(value = "复投次数")
    Integer againNum;
    @ApiModelProperty(value = "头尾识别(T段/W段/Z段/T段W段)")
    String headTailRecognition;
    @ApiModelProperty(value = "是否见锅底 1是0否")
    Integer isSeeBottom;
    @ApiModelProperty(value = "划线实验标记")
    String lineMarking;
    @ApiModelProperty(value = "是否反切【0：否；1：是；】")
    Integer isCutBack;
    @ApiModelProperty(value = "站点信息（wms入库上报返回）")
    String wipStorage;
}
