package com.sw.mes.store.dto;

import com.sw.mes.core.dto.store.WarehouseInputBillBo;
import com.sw.mes.core.dto.store.WarehouseOutputBillBo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class StoreDto {
    @ApiModelProperty(value = "入库对象")
    @NotNull
    private WarehouseInputBillBo inputBillBo;
    @ApiModelProperty(value = "调拨对象")
    @NotNull
    private WarehouseAllotBillDto warehouseAllotBillDto;
    @ApiModelProperty(value = "出库对象")
    private WarehouseOutputBillBo outputBillBo;
}
