package com.sw.mes.store.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "调拨审核记录单Dto")
public class WarehouseAllotRecordBillDto {

    private Long id;
    @ApiModelProperty(value = "调拨审核单号")
    private String recordBillNo;
    @ApiModelProperty(value = "单据状态。 待审核，审核成功，审核失败")
    private String status;
    @ApiModelProperty(value = "调拨库位ID")
    private String allotWarehouseId;
    @ApiModelProperty(value = "调拨库位名称")
    private String allotWarehouseName;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "拒收原因")
    private String rejectReason;
    @ApiModelProperty(value = "拒收原因备注")
    private String rejectReasonRemark;
    @ApiModelProperty(value = "是否自动审核，0 否，默认否。1 自动审核")
    private Boolean autoAudit;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;
    @ApiModelProperty(value = "创建人")
    private String createUserName;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty(value = "操作人ID")
    private Integer updateUserId;
    @ApiModelProperty(value = "操作人姓名")
    private String updateUserName;
    @ApiModelProperty(value = "调拨申请单号")
    private String allotBillNo;
    @ApiModelProperty(value = "调拨申请单号")
    private Long allotBillId;
}