package com.sw.mes.store.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "出库呼叫AGVDto")
public class WarehouseOutputAgvDto implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;
    @ApiModelProperty(value = "物料编码", required = true)
    private String materialCode;
    @ApiModelProperty(value = "点位码", required = true)
    private String pointCode;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
