package com.sw.mes.store.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel(value = "WMS返回出库单状态Dto")
public class WmsOutputBillDetailsDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "明细id")
    private Integer detailId;

    @ApiModelProperty(value = "物料编码")
    private String sku;

    @ApiModelProperty(value = "托号")
    private String traceid;

    @ApiModelProperty(value = "箱号")
    private String containerid;

    @NotNull
    @ApiModelProperty(value = "出库数量")
    private BigDecimal number;
}
