package com.sw.mes.store.entity;

import lombok.Data;

import java.util.List;

/**
 * @Description 查询参数实体
 * @Author wupeng
 * @Date 2023/8/17 08:34
 **/
@Data
public class WarehouseQueryParam {

    private String materialCode;

    private String materialName;

    private List<String> materialTypeId;

    private String materialTypeName;

    private String materialTypeCode;

    private String defaultLocation;

    private List<String> warehouseModelId;

    private List<Long> materialIds;

    private String batchNo;

    private String uniqueCode;
}
