package com.sw.mes.store.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sw.mes.store.entity.WarehouseOutputBill;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @Author wupeng
 * @Description 出库明细
 * @Date 20:24 2023/8/2
 * @Param
 * @return
 **/
@Mapper
public interface WarehouseOutputBillMapper extends BaseMapper<WarehouseOutputBill> {
    @Select("select * from warehouse_output_bill where bill_no = #{billNo}")
    WarehouseOutputBill getByBillNo(@Param("billNo") String billNo);
    @Select("select * from warehouse_output_bill where input_bill_code = #{inputBillCode}")
    WarehouseOutputBill findWarehouseOutputBillByInputBillCode(String inputBillCode);
}