package com.sw.mes.store.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sw.mes.store.mapper.WarehouseAllotBillDetailMapper;
import com.sw.mes.store.service.WarehouseAllotBillDetailService;
import com.sw.mes.store.entity.WarehouseAllotBillDetail;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class WarehouseAllotBillDetailServiceImpl extends ServiceImpl<WarehouseAllotBillDetailMapper, WarehouseAllotBillDetail> implements WarehouseAllotBillDetailService {

    @Override
    public List<WarehouseAllotBillDetail> getByBillNo(String billNo) {
        LambdaQueryWrapper<WarehouseAllotBillDetail> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(WarehouseAllotBillDetail::getAllotBillNo, billNo);
        return list(queryWrapper);
    }
}